2025-03-27  Thomas Tsai  <thomas@nchc.org.tw>

	update btrfs to v6.14

2025-03-19  Thomas Tsai  <thomas@nchc.org.tw>

	release 0.3.34

	update log and docs

	update progress

2025-03-18  Thomas Tsai  <thomas@nchc.org.tw>

	remove failmbr

	remove failmbr

2025-03-17  Thomas Tsai  <thomas@nchc.org.tw>

	add std=gnu11 for btrfs

	update btrfs to v6.13

	update btrfs to v6.10.1

2025-02-10  Thomas Tsai  <thomas@nchc.org.tw>

	Disable failmbr but keep source code

	Merge branch 'master' of github.com:Thomas-Tsai/partclone

	fix #260 for f2fs data types in declaration specifiers

2025-01-03  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #258 from blanktonio/include_f2fs_20250102
	Fix include path for f2fs

2025-01-03  Anton Samsonov  <Anton.V.Samsonov@mcst.ru>

	Fix include path for f2fs

2024-12-18  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #257 from robert-scheck/byteswap
	Check for `byteswap.h` existence for `src/f2fs/f2fs_fs.h`

2024-12-18  Robert Scheck  <robert@fedoraproject.org>

	Check for byteswap.h existence for src/f2fs/f2fs_fs.h
	src/f2fs/f2fs_fs.h uses bswap_64(), which is part of byteswap.h e.g.
	on glibc-based systems. The src/f2fs/f2fs_fs.h already knows how to
	handle the existence of byteswap.h, once there is a configure header
	check for it. Otherwise building on s390x fails like this:

	f2fs/f2fs_fs.h:218:25: error: implicit declaration of function ‘bswap_64’; did you mean ‘bswap_32’? [-Wimplicit-function-declaration]

2024-12-16  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #255 from chewi/fail-mbr-automake
	Move compile-mbr.sh script into fail-mbr's automake

2024-12-12  Thomas Tsai  <tlinux.tsai@gmail.com>

	remove some message from f2fs

	release 0.3.33

	ready to release 0.3.33

	upgrade f2fs to 1.16

2024-12-10  Thomas Tsai  <tlinux.tsai@gmail.com>

	enable serial-tests

	update github action for ubuntu2404

	update ChangeLog, too

	add f2fs 4kn sector size support

2024-12-09  Thomas Tsai  <tlinux.tsai@gmail.com>

	upgrade f2fs

2024-11-03  James Le Cuirot  <chewi@gentoo.org>

	Move compile-mbr.sh script into fail-mbr's automake
	Calling bare tools like "gcc" is not best practise, as this will fail
	when cross-compiling. We also don't need to rely on tools like rpm when
	the build already knows which CPU we're building for.

2024-10-30  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #253 from chewi/reiser4-test
	Conditionally run the reiser4 test

2024-10-29  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #254 from chewi/ntfs-headers
	ntfstime.h uses the time.h, sys/stat.h, sys/time.h headers

2024-10-28  James Le Cuirot  <chewi@gentoo.org>

	ntfstime.h uses the time.h, sys/stat.h, sys/time.h headers
	Not doing this check can result in an implicit declaration error.

	Conditionally run the reiser4 test
	The line to add the test was uncommented a while ago, possibly
	intentionally, but the surrounding lines to make it conditional were
	not. Disclaimer: I have not actually tried to run the test.

2024-10-07  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #252 from blanktonio/progress_pow
	Prevent use of run-time floating point math functions for compile-time integer constants

2024-10-05  Anton Samsonov  <Anton.V.Samsonov@mcst.ru>

	Prevent use of run-time FP math functions

2024-07-30  Yu-Chin Tsai  <tlinux.tsai@gmail.com>

	add apfs man pages

2024-07-15  Thomas Tsai  <tlinux.tsai@gmail.com>

	release 0.3.32

	fix  read error: Success issue, revert ntfsclone

2024-07-11  Thomas Tsai  <tlinux.tsai@gmail.com>

	add hfs plus Signature log test

2024-06-21  Thomas Tsai  <tlinux.tsai@gmail.com>

	update configure.ac and set version 0.3.31; release 0.3.31

	update action for docker build

	release 0.3.30

	update log and docs

	Merge pull request #54 from pfrouleau/review/include_NTFS_backup_boot_sector_in_the_image
	Include the NTFS Boot Record backup in the cloned image

	Merge pull request #55 from pfrouleau/fix/get_exec_name
	Fix get_exec_name(): when partclone in installed, there is no '/' in argv0

	update git version generate by describe

	add option prog_second to display in seconds

2024-06-17  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #249 from TMR5454/vmfs
	Add missing return in libvmfs_version().

	Merge pull request #248 from TMR5454/master
	Fix tiny resource leak.

2024-06-17  Tamura Dai  <kirinode0@gmail.com>

	Add missing return in libvmfs_version().
	libvmfs_version() return without int value.

	Add missing return in libvmfs_version().
	libvmfs_version() return without int value.

	Fix tiny resource leak.

2024-06-14  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge branch 'master' of github.com:Thomas-Tsai/partclone

	update log and release 0.3.29

	Merge pull request #247 from robert-scheck/bash-completion
	Prefer bash-completion directory from pkg-config

	add option --binary-prefix to display bit size in progress bar

2024-06-14  Robert Scheck  <robert@fedoraproject.org>

	Prefer bash-completion directory from pkg-config...
	...with backwards compatibility for pkg-config < 0.28

2024-06-13  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge branch 'master' of github.com:Thomas-Tsai/partclone

	update autoconf and automake for btrfs CPU target test

2024-06-12  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #245 from PushKK/PushKK-patch-1
	Update ru.po

2024-06-11  Thomas Tsai  <thomas@nchc.org.tw>

	update test scripts

	update github actions

2024-06-11  Thomas Tsai  <tlinux.tsai@gmail.com>

	release 0.3.28

	update github action for nodejs 20

	update domain test

	update  btrfs to 6.8.1 and logs

	update  btrfs to 6.8.1

2024-06-09  Stanislav  <42420548+PushKK@users.noreply.github.com>

	Update ru.po

2024-05-25  Yu-Chin Tsai  <tlinux.tsai@gmail.com>

	update docs

2024-03-25  Thomas Tsai  <tlinux.tsai@gmail.com>

	add btrfs more  detail logs

2023-12-11  Thomas Tsai  <tlinux.tsai@gmail.com>

	find more incompatable types

	Accept the patch to fix incompatible function argument types from David Restall.

2023-11-29  Thomas Tsai  <thomas@nchc.org.tw>

	fix test

2023-11-28  Thomas Tsai  <thomas@nchc.org.tw>

	fix more exit 0

	fix #241. return 0 in case of error

2023-11-17  Thomas Tsai  <tlinux.tsai@gmail.com>

	upgrade btrfs to v6.6.2

2023-10-22  Yu-Chin Tsai  <tlinux.tsai@gmail.com>

	update automake for bash completion

	add bash completion script

2023-10-04  Thomas Tsai  <tlinux.tsai@gmail.com>

	update log, po, docs and set version 0.3.27 update configure.ac

	merge partclone.imager.xml to partclone.xml

	update doc for partclone.8

	add direct test

	add time and avg.time in log file

2023-10-03  Thomas Tsai  <tlinux.tsai@gmail.com>

	add direct io for read/write to/from device

2023-09-25  Thomas Tsai  <tlinux.tsai@gmail.com>

	add direct-io option and set version 0.3.26

2023-08-30  Thomas Tsai  <tlinux.tsai@gmail.com>

	update superBlockUsedBlocks for all xxxclone

2023-08-25  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #236 from joergmlpts/master
	report used blocks and free space based on bitmap

2023-08-24  joergmlpts  <joergmlpts@gmail.com>

	report used blocks and free space based on bitmap

2023-08-23  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #235 from joergmlpts/master
	correction for item at offset 76

2023-08-23  joergmlpts  <joergmlpts@gmail.com>

	correction for item at offset 76

2023-08-22  Thomas Tsai  <tlinux.tsai@gmail.com>

	show used blocks in bitmap with -d2 option

2023-08-04  Thomas Tsai  <tlinux.tsai@gmail.com>

	release 0.3.25

	update btrfs to v6.3.3

	update btrfs to v6.3

	update btrfs to v6.2

	update btrfs to v6.1.3

2023-07-20  Thomas Tsai  <tlinux.tsai@gmail.com>

	add IO streams support for torrent info file

	update po gmo

2023-05-23  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #231 from PushKK/add_localization
	Add localization

2023-05-23  Stanislav  <42420548+PushKK@users.noreply.github.com>

	Add localization

	Add localization
	1. Add localization,
	2. Small fix - capital letters, digit format.

2023-05-22  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #230 from PushKK/update_languages
	Update language files

2023-05-22  Stanislav  <42420548+PushKK@users.noreply.github.com>

	Update fr_FR.po
	Small fix.

	Update language files
	1. Reorder languages in LINGUAS file,
	2. Small fix in language files.

2023-05-22  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #228 from PushKK/add_german_language
	Add german language

	Merge pull request #227 from robert-scheck/wording
	Add missing space before opening parenthesis

2023-05-21  Stanislav  <42420548+PushKK@users.noreply.github.com>

	Update de.po
	Add space before "(".

	Add German language

	Add German language

2023-05-21  Robert Scheck  <robert@fedoraproject.org>

	Add missing space before opening parenthesis
	When writing in English (not a programming language or math), the rule
	is: put a space before the opening parenthesis.

2023-05-20  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #226 from PushKK/master
	Update partclone.c

2023-05-15  Stanislav  <42420548+PushKK@users.noreply.github.com>

	Update partclone.c
	Add space before "(".

2023-05-12  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #224 from PushKK/PushKK-patch-1
	Add Russian language file.

2023-05-06  Stanislav  <42420548+PushKK@users.noreply.github.com>

	Add Russian language file

	Add Russian language

2023-03-13  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #222 from robert-scheck/libm
	Link with -lm for isnormal()/__fpclassifyf() as needed

	Merge pull request #221 from robert-scheck/mtrace
	Handle absence of mtrace.h (e.g. uClibc) gracefully

2023-03-11  Robert Scheck  <robert@fedoraproject.org>

	Link with -lm for isnormal()/__fpclassifyf() as needed
	See also: https://github.com/Thomas-Tsai/partclone/issues/153

2023-03-09  Robert Scheck  <robert@fedoraproject.org>

	Handle absence of mtrace.h (e.g. uClibc) gracefully

2023-01-29  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #220 from nchcdev/master
	add dockerfile and test on tag creating

2023-01-29  Thomas Tsai  <thomas@nchc.org.tw>

	merge workflow

2023-01-29  Thomas Tsai  <tlinux.tsai@gmail.com>

	Update manual-on-host.yml add tag event add Dockerfile for partclone image build add workflow to auto build and push image to docker hub on tag creating

2023-01-27  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #219 from nchcdev/master
	split jobs in github action

2023-01-27  Thomas Tsai  <thomas@nchc.org.tw>

	release 0.3.23

2023-01-26  Thomas Tsai  <thomas@nchc.org.tw>

	update btrfs to v6.0.1

2023-01-25  Thomas Tsai  <thomas@nchc.org.tw>

	update btrfs to v5.16

	update bytrfs to v5.15

2023-01-24  Thomas Tsai  <thomas@nchc.org.tw>

	upgrade btrfs to v5.12

2023-01-13  Thomas-Tsai  <tlinux.tsai@gmail.com>

	update test jobs

	update test jobs

2023-01-13  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #217 from nchcdev/master
	Create manual-on-host.yml

	add reiser4progs for test

	Create manual-on-host.yml update tests for nilfs2 update tests for offset and fueimage

	Merge pull request #216 from robert-scheck/tests-twice
	Don't target Btrfs and exFAT tests twice

2023-01-13  Robert Scheck  <robert@fedoraproject.org>

	Don't target Btrfs and exFAT tests twice

2023-01-11  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #215 from robert-scheck/reflect-release
	Reflect partclone 0.3.22 release in configure.ac

2023-01-11  Robert Scheck  <robert@fedoraproject.org>

	Reflect partclone 0.3.22 release in configure.ac

2023-01-10  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #214 from SamsonovAnton/parallel_tests
	Support parallel unit-testing

2023-01-10  Anton Samsonov  <Anton.V.Samsonov@mcst.ru>

	Support parallel unit-testing

2023-01-10  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #213 from nchcdev/master
	create github actions for build test

2023-01-10  Thomas Tsai  <thomas@nchc.org.tw>

	create github actions for build test

2023-01-09  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #211 from robert-scheck/binutils-gas-x86-used-note
	fail-mbr: Remove binutils section .note.gnu.build-id using objcopy

2023-01-09  Robert Scheck  <robert@fedoraproject.org>

	fail-mbr: Remove binutils section .note.gnu.build-id using objcopy
	GNU Binutils 2.36 configures with --enable-x86-used-note by default for
	Linux/x86. This adds the new section .note.gnu.build-id, which needs to
	be removed.

	When building fail-mbr.o with current binutils, ld links the file into
	an executable format. However this is not accepted by current binutils
	for building fail-mbr.image; thus it requires -Wl,--relocatable for the
	former and -Wl,--no-dynamic-linker for the latter.

	See also:
	- https://sourceware.org/pipermail/binutils/2021-January/115071.html
	- https://sourceware.org/bugzilla/show_bug.cgi?id=26223
	- https://sourceware.org/bugzilla/show_bug.cgi?id=27753
	- https://lists.denx.de/pipermail/u-boot/2021-June/452303.html

2023-01-09  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #207 from robert-scheck/tests-xfs-size
	Increase XFS default test image size to 300+ MB

2023-01-08  Robert Scheck  <robert@fedoraproject.org>

	Increase XFS default test image size to 300+ MB

2023-01-08  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #209 from robert-scheck/tests-f2fs-size
	Increase F2FS default test size to 100+ MB

	Merge pull request #210 from robert-scheck/tests-f2fs-endian
	Skip F2FS tests on big-endian architectures

	Merge pull request #205 from robert-scheck/tests-fat-endian
	Skip FAT tests on big-endian architectures

	Merge pull request #204 from robert-scheck/space-opening-parenthesis
	Add missing space before opening parenthesis

2023-01-08  Robert Scheck  <robert@fedoraproject.org>

	Skip F2FS tests on big-endian architectures
	Otherwise partclone.f2fs fails on s390x like this:
	> $ partclone.f2fs -d -c -s floppy.raw -O floppy.img -F -L test.log -a 1 -k 17
	> Segmentation fault      (core dumped)

	Increase F2FS default test size to 100+ MB

	Skip FAT tests on big-endian architectures
	Otherwise src/fatclone.c fails on s390x like this:
	> get_fat_type, 66, ERROR: data_size count error
	> get_fat_type, 70, ERROR: clusters count error

2023-01-07  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #203 from TMR5454/master
	fix log message to add new line after "Open devicefile successfully"

2023-01-06  Robert Scheck  <robert@fedoraproject.org>

	Add missing space before opening parenthesis
	When writing in English (not a programming language or math), the rule
	is: put a space before the opening parenthesis.

2023-01-06  YUCHIN TSAI (Thomas)  <tlinux.tsai@gmail.com>

	add basic test script for BT files

	update btfiles loop issue

2022-12-19  Tamura Dai  <kirinode0@gmail.com>

	fix log message to add new line after "Open devicefile successfully"

2022-10-08  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #201 from robert-scheck/typo
	Fix typos

2022-10-07  Robert Scheck  <robert@fedoraproject.org>

	Fix typos

2022-09-29  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #198 from SamsonovAnton/out-of-tree_tests
	Support unit-testing in out-of-tree builds

2022-09-26  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #197 from SamsonovAnton/fix_MBR_build
	Fix MBR builds for x86, non-x86 and out-of-tree

2022-09-13  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #196 from SamsonovAnton/autoconf_fuse_version
	Detect FUSE version and explicitly print “yes” or “no” regarding filesystem support

	Merge pull request #195 from SamsonovAnton/prevent_compiler_warnings_in_apfsclone
	Remove unused variables to silence compiler warnings

2022-09-13  Anton Samsonov  <Anton.V.Samsonov@mcst.ru>

	Support unit-testing in out-of-tree builds

	Fix MBR builds for x86, non-x86 and out-of-tree

	Detect FUSE version and clearly print FS support

2022-09-12  Anton Samsonov  <Anton.V.Samsonov@mcst.ru>

	Remove unused vars to silence compiler warnings

2022-09-08  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #192 from SamsonovAnton/check_for_EVP_MD_CTX_reset
	Check for EVP_MD_CTX_reset

	Merge pull request #194 from SamsonovAnton/prevent_compiler_warnings
	Avoid uninitialized variables to prevent compiler warnings

	Merge pull request #193 from SamsonovAnton/out-of-tree_build_BTRFS_XFS
	Support out-of-tree builds for BTRFS and XFS

2022-09-06  Anton Samsonov  <Anton.V.Samsonov@mcst.ru>

	Initialize variables to silence compiler warnings

	Support out-of-tree builds for BTRFS and XFS

	Check for EVP_MD_CTX_reset

2022-09-06  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #191 from SamsonovAnton/check_argc_in_fuseimg
	Check argument count in partclone.imgfuse

	Merge pull request #190 from SamsonovAnton/support_FUSE_v2
	Support FUSE 2.x API

	Merge pull request #189 from SamsonovAnton/fix_define_GNU_SOURCE
	Avoid redefining _GNU_SOURCE, _LARGEFILE64_SOURCE

2022-09-06  Anton Samsonov  <Anton.V.Samsonov@mcst.ru>

	Check argument count in partclone.imgfuse

	Support FUSE 2.x API

	Avoid redefining _GNU_SOURCE, _LARGEFILE64_SOURCE

2022-06-01  Thomas Tsai  <thomas@nchc.org.tw>

	fix crypto link error

2022-05-31  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #186 from Xeonacid/update-autotools-build-file
	update autotools build files

2022-05-28  Xeonacid  <h.dwwwwww@gmail.com>

	update autotools build files
	Generated using "autoreconf -fi" to support new arch.

2022-04-29  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #184 from robert-scheck/c99
	Change C99 for loop init to C89 for compatibility

2022-04-29  Robert Scheck  <robert@fedoraproject.org>

	Change C99 for loop init to C89 for compatibility

2022-04-28  Thomas Tsai  <tlinux.tsai@gmail.com>

	update makefile for static build

2022-04-27  Thomas Tsai  <thomas@nchc.org.tw>

	release 0.3.20

2022-04-19  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #183 from hdkigelcojp/stdout-support
	stdout support.  With this patch, stdout is supported by writing zeros instead of lseek() only if stdout is specified as output.

2022-04-19  Hideki EIRAKU  <hdk@igel.co.jp>

	stdout support
	Previously lseek() was always used for an output device file when
	restoring or copying device-to-device.  With this patch, stdout is
	supported by writing zeros instead of lseek() only if stdout is
	specified as output.

2022-04-15  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #182 from hdkigelcojp/fix-apfs
	fix apfs support

2022-04-12  Hideki EIRAKU  <hdk@igel.co.jp>

	fix apfs support
	Previously space manager was read from checkpoint data area.
	According to Apple File System Reference, finding space manager from
	a checkpoint map is needed.

2022-04-07  Thomas Tsai  <thomas@nchc.org.tw>

	Merge branch 'master' of github.com:Thomas-Tsai/partclone

	fix issue #173: Random garbage is printed with -O /dev/does-not-exist

2022-04-05  Thomas Tsai  <tlinux.tsai@gmail.com>

	Update README.md

2022-03-18  Thomas-Tsai  <tlinux.tsai@gmail.com>

	fix  btrfs device check issue & ready to release 0.3.19

2022-03-16  Thomas Tsai  <thomas@nchc.org.tw>

	add btrfs mirror super blocks

2022-03-02  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #179 from jowagner/howto-contrib-docs
	How to contribute docs: readme

	Merge pull request #178 from jowagner/docs-typo-normanly2
	Docs typo "normanly"

2022-03-01  Joachim Wagner  <jowagner@users.noreply.github.com>

	add libxslt-tools to list of needed packages

	packages that may be needed

	How to fix a typo in the docs

	sync'd .8 with .xml of recent commit

	fix typo, issue https://github.com/Thomas-Tsai/partclone/issues/170

2022-02-24  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #175 from jowagner/domain-file-doc
	Domain file doc

	Merge pull request #172 from vasi/vasi-hfs-wrapper-clean
	Support HFS+ wrapper volumes

2022-02-24  Joachim Wagner  <jowagner@users.noreply.github.com>

	`.8` for domain map file description update in `.xml`

	Explain domain mapfile, https://github.com/Thomas-Tsai/partclone/issues/174

2022-02-10  Dave Vasilevsky  <dave@vasilevsky.ca>

	hfsplus: Support HFS wrapper volumes
	Now that we have all the pieces ready, we can finally support wrappers.

	hfsplus: Mark HFS wrapper as used in the bitmap
	The HFS wrapper data, that's outside the embedded HFS+ volume, is small and
	important to keep.

	hfsplus: Allow read_allocation_file to take an offset
	This lets us read the allocation file of an embedded HFS+ volume inside
	an HFS wrapper, which is no longer at the start of a partition.

	hfsplus: Allow setting multiple bits in bitmap per HFS+ block
	When we have an HFS wrapper, we'll need smaller blocks, so multiple
	partclone-blocks may be in each HFS+ block.

	hfsplus: Factor out read_allocation_file
	We will want to be able to read the bitmap not just from the start of the
	volume, but from an embedded location. Work towards making that possible.

	hfsplus: Support HFS wrappers in read_super_blocks
	Unfortunately, this starts to make our code more complex. HFS wrappers may have
	extra space before the alternate superblock at the end of the volume, and there's
	no way to predict how much. So for HFS wrappers:

	1. We need to check the physical device size, instead of calculating the volume size
	2. We need to use single-sector blocks, rather than the HFS+ block size (typically 4096)

	hfsplus: Parse HFS wrapper volumes
	For now, just parse the header, check if it makes sense, and then error unconditionally.
	Soon, we'll have proper support.

	hfsplus: Add structures for HFS+ wrapper volumes

	hfsplus: Check for correct magic number
	Don't just try to clone something, if we're not sure what it is!

	hfsplus: Get rid of some magic numbers in code
	The size of a block is variable, and the offset to the volume header is a constant

	hfsplus: Use proper endian-swapping functions
	These should work regardless of the host's endianness

2022-01-23  Thomas Tsai  <thomas@nchc.org.tw>

	update btrfs to 5.11

2022-01-18  Thomas Tsai  <thomas@nchc.org.tw>

	Merge branch 'master' of github.com:Thomas-Tsai/partclone

	update apfs

2022-01-14  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #169 from jwilk-forks/spelling
	Fix typo

2022-01-14  Jakub Wilk  <jwilk@jwilk.net>

	Fix typo

2021-11-12  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #166 from zboszor/use-evp-api
	Fix using EVP OpenSSL API

2021-11-06  Zoltán Böszörményi  <zboszor@gmail.com>

	Fix using EVP OpenSSL API
	torrent_helper.h didn't have #include <config.h> so
	the settings didn't actually take effect so the direct SHA1 API
	was still in use.

	Also fix copy&paste errors that didn't turn up in the build
	but after adding #include <config.h> to torrent_helper.h they did.

2021-11-06  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #165 from zboszor/use-evp-api
	Use EVP OpenSSL API

2021-11-03  Zoltán Böszörményi  <zboszor@gmail.com>

	Use EVP OpenSSL API
	OpenSSL 3.0 deprecated the direct / individual crypto API variants
	so they produce deprecation warnings now. OpenSSL also allows hiding
	deprecated APIs so in this configuration partclone can't be built.

2021-10-28  Thomas Tsai  <thomas@nchc.org.tw>

	apply suggestoin about wprintw and autoupdate from Geroges

2021-09-24  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #164 from tjjh89017/more_torrent_info
	WIP: Add block_size and blocks_total in torrent.info to provide partition info

2021-09-24  Date Huang  <tjjh89017@hotmail.com>

	Add block_size and blocks_total in torrent.info to provide partition info

2021-06-14  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #162 from mjoerg/master
	doc: fix typo for logfile argument

2021-06-12  Martin Joerg  <martin.joerg@gmail.com>

	doc: fix typo for logfile argument

2021-03-03  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #157 from pfrouleau/document_partclone_image_formats
	doc: document the image formats

2021-03-03  Patrick Rouleau  <prouleau72@gmail.com>

	doc: document the image formats

2021-02-17  Thomas Tsai  <tlinux.tsai@gmail.com>

	Update README.md

2021-02-12  Patrick Rouleau  <pfrouleau@gmail.com>

	Fix get_exec_name(): when partclone is installed, there is no '/' in argv0
	I forgot to test the case where partclone can be found through PATH and
	in that case argv[0] does not contains a slash.

	Include the NTFS Boot Record backup in the cloned image
	NTFS stores a copy of its Boot Record after the end of the volume, which is
	1 block smaller than the partition. This commit updates the NTFS's totalblock
	to include that block.

	With this change, the md5sum of the restored floppy.raw is identical to
	the md5sum of the cloned one.

2021-01-06  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #152 from robert-scheck/c99-for-loop
	Change C99 for loop init to C89 for compatibility

2020-12-31  Robert Scheck  <robert@fedoraproject.org>

	Change C99 for loop init to C89 for compatibility

2020-11-02  Thomas Tsai  <thomas@nchc.org.tw>

	* try to fix ignore_crc not working properly in partclone 3.12. * issue is 2.8 image restored by 3.X with ignore_crc and get fail. reference https://github.com/Sebastian-Roth/partclone/commit/80ca94dccadbc4998b80f3eabe8c84bdc638c7b5

2020-10-28  Thomas Tsai  <thomas@nchc.org.tw>

	add float check

	fix progress issue

2020-10-27  Thomas Tsai  <thomas@nchc.org.tw>

	set version to 0.3.16

	merge

2020-10-26  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #151 from boretom/to-btrfs-progs-5.4.1
	Update to btrfs-progs 5.4.1

2020-10-26  Thomas Kupper  <thomas.kupper@gmail.com>

	Update to btrfs-progs 5.4.1
	Also:
	- Update toolbox script to use rsync for btrfs-prog code sync. This since it involves subdirectories
	- Update .gitignore to include APFS binary `src\partclone.apfs`
	- Set file size for btrfs test since it failed because of a minimal size necessary

2020-10-25  Thomas Tsai  <thomas@nchc.org.tw>

	update btrfs to 4.12

	try to update to btrfs 4.10

	try to update btrfs to 4.8

2020-07-24  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #148 from justforlxz/master
	fix: crash when backing up swap partition

2020-07-24  Zhang, DingYuan  <justforlxz@gmail.com>

	fix: crash when backing up swap partition
	args: -s /dev/nvme0n1p5 -o - -c -z 1048576 -L /var/log/partclone.log

	/dev/nvme0n1p5 is the swap partition, I noticed that in the calculate_speed function of progress.c, percent = prog->unit * copied; percent is NaN, prog->unit is Inf, so the next judgment was not successfully modified percent, which caused the retained to be the wrong value, and the strftime function crashed.

2020-07-13  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #147 from zboszor/ignore-free-space-check-with-compression
	Ignore free space check if compression is enabled.

2020-07-10  Zoltán Böszörményi  <zboszor@pr.hu>

	Ignore free space check if compression is enabled.

2020-07-05  Thomas Tsai  <thomas@nchc.org.tw>

	release 0.3.15

	release 0.3.14

	release 0.3.15 and test xfs

2020-05-28  Thomas Tsai  <tlinux.tsai@gmail.com>

	fix gcc 10:  variables as extern for vmfs

	Merge pull request #137 from robert-scheck/fno-common
	Declare variables as extern in headers (fixes #136)

	Merge branch 'master' into fno-common

2020-05-28  Thomas Tsai  <thomas@nchc.org.tw>

	Merge branch 'master' of github.com:Thomas-Tsai/partclone

	xfs link issue

2020-05-19  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #139 from cdeleuze/master
	Fix for issue #121

	Merge pull request #143 from Sebastian-Roth/master
	Partly revert 2d1ee7c94 fixing partclone.image to not capture zero si…

2020-05-17  Sebastian Roth  <sebaroth@gmx.de>

	Partly revert 2d1ee7c94 fixing partclone.image to not capture zero size images

2020-05-06  Thomas Tsai  <thomas@nchc.org.tw>

	version 0.3.14

2020-05-05  Thomas Tsai  <thomas@nchc.org.tw>

	manual migrate xfs 4.20.0

2020-04-29  Thomas Tsai  <tlinux.tsai@gmail.com>

	fix snprintf issue

	fix strncpy and global variable issue

2020-03-11  Christophe Deleuze  <christophe.deleuze@free.fr>

	Fix for issue #121
	If opt.ignore_crc is set, must not check the (uncomputed) checksum of
	the latest chunk

2020-02-03  Robert Scheck  <robert@fedoraproject.org>

	Declare variables as extern in headers (fixes #136)
	GCC 10 compatibility as per https://gcc.gnu.org/gcc-10/porting_to.html

2019-08-20  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #130 from tjjh89017/hotfix_restore_torrent_info
	Fixup buffer address passed into torrent helper in restore mode

2019-08-19  tjjh89017  <tjjh89017@hotmail.com>

	Fixup buffer address passed into torrent helper in restore mode
	in restore mode (convert partclone image to BT image)
	correct the args passed into torrent helper

2019-04-29  Thomas Tsai  <thomas@nchc.org.tw>

	Merge branch 'master' of https://github.com/Thomas-Tsai/partclone

	some error, try to fix apfs

	update debian-control

2019-02-12  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #125 from junkhacker/patch-1
	fix typo in option to print version

	Merge pull request #124 from tjjh89017/torrent_only_hotfix
	Fixup when torrent_only enable, we don't need to check disk free space

2019-02-01  Thomas Tsai  <thomas@nchc.org.tw>

	apfs mini done

2019-01-30  Thomas Tsai  <thomas@nchc.org.tw>

	apfs support unstable

	Merge branch 'master' of github.com:Thomas-Tsai/partclone

	add apfs in development

2019-01-27  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #126 from stevenshiau/master
	Add libssl-dev in Build-Depends.

2019-01-22  Steven Shiau  <steven@nchc.org.tw>

	Add libssl-dev in Build-Depends.

2019-01-19  Greg Grammon  <g_grammon@yahoo.com>

	fix typo in option to print version
	"print_version" long option should have been "version" to correctly match what is listed in help

2019-01-12  tjjh89017  <tjjh89017@hotmail.com>

	fixup open_target when dd mode with torrent_only and directory exists

	Fix up other mode when create torrent

2019-01-09  tjjh89017  <tjjh89017@hotmail.com>

	Fixup restore mode torrent_only will skip check free space

	Fixup when torrent_only enable, we don't need to check disk free space

2019-01-07  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #122 from tjjh89017/bt_direct_disk
	Generate BT info directly

2019-01-06  tjjh89017  <tjjh89017@hotmail.com>

	If torrent.info exists, overwrite it

	Fixup disable write partclone image header to invalid fd

	fixup typo

2019-01-05  tjjh89017  <tjjh89017@hotmail.com>

	fixup typo

	enable torrent only on `dd` and `restore` mode

	Torrent only for deploy from disk rather than image file

	Rename to `torrent_only`

	enable output bt file in clone mode

	Refactor to torrent_helper

	Refactor for same function about torrent_generator

	Add a flag for torrent only (need squash)

2018-11-08  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #120 from tjjh89017/hotfix_c89_loop
	Fix for C89 loop init

2018-11-08  tjjh89017  <tjjh89017@hotmail.com>

	Fix for C89 loop init

2018-11-08  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #118 from tjjh89017/hotfix_dd_bt
	hotfix dd mode dump torrent info

2018-11-08  tjjh89017  <tjjh89017@hotmail.com>

	hotfix dd mode dump torrent info

2018-10-31  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #117 from tjjh89017/dd_bt
	[WARNING] Create torrent info while dd mode to BT slices

	Merge pull request #116 from tjjh89017/performance_hotfix
	Performance Fix up

	Merge pull request #115 from maxice8/fix-musl
	src/main.c: add limits.h include for PATH_MAX

2018-10-29  tjjh89017  <tjjh89017@hotmail.com>

	Create torrent info while dd mode to BT slices

	Performance Fix up
	too many malloc and free will cause slow performance
	make aligned (to 512) buffer only affect write_buffer and restore mode

2018-10-29  maxice8  <thinkabit.ukim@gmail.com>

	src/main.c: add limits.h include for PATH_MAX
	fixes compilation with musl libc

2018-10-28  Thomas Tsai  <thomas@nchc.org.tw>

	Merge branch 'master' of github.com:Thomas-Tsai/partclone

	fix bug for partclone.dd for pipe, btfiles and buffer-size together. The last block file missing issue.

2018-10-28  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #114 from tjjh89017/sha1_torrent_info
	Create Torrent Info while converting image to BT format

2018-10-28  tjjh89017  <tjjh89017@hotmail.com>

	Restore image to BT format and calc torrent info
	Using OpenSSL SHA1 function
	Thanks to @mangokingTW

2018-10-27  Thomas Tsai  <thomas@nchc.org.tw>

	change version to 0.3.12

	add dd option -T for bt mode

2018-10-27  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #113 from pfrouleau/fix_typos_and_formating
	Fix typos and formating

2018-10-21  Patrick Rouleau  <prouleau72@gmail.com>

	Improve README.md
	- Put the different version of ext on the same line
	- remove a duplicated line "For more info..."

	Fix a few typos

2018-06-25  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #111 from zboszor/pipe-compressor
	Support compressed cloned images

2018-06-07  Böszörményi Zoltán  <zboszor@pr.hu>

	Fix close_target()
	close(target_fd) must be done when not in compressing mode.

	Support compressed cloned images
	The ncurses mode obviously conflicts with writing the cloned image
	to stdout. Piping the image to a command to compress it while in
	ncurses mode is unusable because of this.

	Fix it by adding a new option -x / --compresscmd CMD that is
	executed in a write-only pipe internally by partclone.

2018-05-05  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #88 from robert-scheck/non-interactive
	Distinguish between (non-)interactive shell (courtesy of "UNIX F.A.Q.", 1993)

2017-10-18  Thomas Tsai  <thomas@nchc.org.tw>

	set version 0.3.11

	Merge branch 'master' of github.com:Thomas-Tsai/partclone

	make xfs clean and compile work

	release 0.3.10

	update merge

	remove trash

	remove trash and set version 0.3.10

	Merge branch 'master' of github.com:Thomas-Tsai/partclone

	remove trash

2017-10-17  Thomas Tsai  <thomas@nchc.org.tw>

	release 0.3.9

	release 0.3.9

	release 0.3.8

	release  version 0.3.9 Merge branch 'master' of github.com:Thomas-Tsai/partclone

	update test and ready to release

2017-10-17  root  <root@ptldev.localdomain>

	remove trash and update dd

2017-10-16  Thomas Tsai  <thomas@nchc.org.tw>

	update xfs

2017-10-03  Thomas Tsai  <thomas@nchc.org.tw>

	update exfat

2017-09-25  Thomas Tsai  <thomas@nchc.org.tw>

	Merge branch 'master' of github.com:Thomas-Tsai/partclone

	set version 0.3.8

	fix pip issue for dd +bt

2017-09-21  Thomas Tsai  <thomas@nchc.org.tw>

	release 0.3.7

	set version 0.3.7

	update version

2017-09-21  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #101 from jeremybuisson/master
	fix small bugs in btrfs support

2017-09-20  Thomas Tsai  <thomas@nchc.org.tw>

	dd for ClonezilaBT

2017-09-01  Jeremy Buisson  <jeremy.buisson@st-cyr.terre-net.defense.gouv.fr>

	Fix the progress bar

	fixing btrfs support
	  * bad assertion check in src/btrfs/volumes.c
	  * missing initialization of total_block in src/btrfsclone.c

2017-08-29  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #99 from robert-scheck/rpmbuild
	Honor $RPM_ARCH alternatively to dpkg-architecture(1) for build-time architecture detection

2017-08-22  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #100 from Sebastian-Roth/master
	Prevent from integer overflow that occours if one of the extent

2017-08-22  Sebastian Roth  <sebaroth@gmx.de>

	Prevent from integer overflow that occours if one of the extent blocks starts beyond disk sector 1048576.

2017-08-16  Robert Scheck  <robert@fedoraproject.org>

	Honor $RPM_ARCH alternatively to dpkg-architecture(1) for build-time architecture detection

2017-08-16  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #98 from robert-scheck/fsf-address
	Update incorrect FSF address (fixes #83)

2017-08-16  Robert Scheck  <robert@fedoraproject.org>

	Update incorrect FSF address (fixes #83)

2017-04-27  Thomas Tsai  <thomas@nchc.org.tw>

	release 0.3.6

	set version 0.3.6

2017-04-22  Thomas Tsai  <thomas@nchc.org.tw>

	fix static compile

2017-04-12  Thomas Tsai  <thomas@nchc.org.tw>

	add features for btfiles mode 1. overwrite function to remove dir first 2. free space check 3. description

	bt files done, start test

2017-04-11  Thomas Tsai  <thomas@nchc.org.tw>

	fix \'if\' warnings

2017-04-10  Thomas Tsai  <thomas@nchc.org.tw>

	initial, basic work! still alot buggy

2017-04-06  Thomas Tsai  <thomas@nchc.org.tw>

	branch for bt mode block files IO

2017-02-22  Thomas Tsai  <thomas@nchc.org.tw>

	0.3.5e

	Merge branch 'master' of https://github.com/Thomas-Tsai/partclone

	fix failmbr

2017-02-21  Thomas Tsai  <thomas@nchc.org.tw>

	0.3.5d

	update array size

	0.3.5c

	fuse test

2017-02-16  Thomas Tsai  <thomas@nchc.org.tw>

	release another test

	fix tests

2017-02-02  Thomas Tsai  <thomas@nchc.org.tw>

	add notice while bitmap count error

2017-02-01  Thomas Tsai  <thomas@nchc.org.tw>

	easy to run automake

2017-02-01  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #87 from robert-scheck/locate
	Use "which" if "locate" doesn't exist (e.g. in build environments)

2017-01-28  Robert Scheck  <robert@fedoraproject.org>

	Distinguish between (non-)interactive shell (courtesy of "UNIX F.A.Q.", 1993)

	Use "which" if "locate" doesn't exist (e.g. in build environments)

2017-01-13  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #84 from isoft-linux/master
	Remove useless files using automake

2017-01-12  Leslie Zhai  <xiangzhai83@gmail.com>

	Add clang analyzer script

2017-01-11  Leslie Zhai  <xiangzhai83@gmail.com>

	FIXME: failed to build with Clang Sanitizer

	Do *NOT* use keyword as variable's name!

	Fix Memory-leak issue #8

	Fix Memory-leak #8

	Added CLANG_ANALYZER_NORETURN for custom assert marco

	Fix Null pointer passed as an argument to a 'nonnull' parameter issue #7

	Fix Null pointer passed as an argument to a 'nonnull' parameter issue #7

	Fix Use-after-free issue #3

	Remove useless file

	Merge remote-tracking branch 'upstream/master'

	Update gitignore

2017-01-10  Thomas Tsai  <thomas@nchc.org.tw>

	merge and fix failmbr issue

	fix failmbr compile issue

	update fail-mbr compile issue

	release 0.3.5a

	update control

	release 0.3.5a

	release 0.3.5a

	update control

	release 0.3.5a

	add define for btrfs

	release 0.3.5a

	add configure for fuse

2017-01-06  Thomas Tsai  <thomas@nchc.org.tw>

	init fuse support; mount partclone image as block file for bt mode of clonezilla

2016-12-23  Leslie Zhai  <xiangzhai83@gmail.com>

	Fix Dereference of null pointer found with Clang Static Analyzer #6

	Fix Array subscript is undefined issue #4

	Fix Use-after-free found with Clang Static Analyzer #3

	Fix Double free issue found with Clang Static Analyzer #2
	Reviewers: @yetist

	Fix Undefined allocation of 0 bytes issue
	It was detected by Clang Static Analyzer #1
	so I just add assert() to tell Clang Static Analyzer that this path is
	unreachable.

	Reviewers: @yetist

	Remove useless files using automake
	It often:

	$ libtoolize --force --copy
	$ aclocal -I m4
	$ autoconf
	$ autoheader
	$ automake --add-missing

	for automake project, so it is better to remove such useless files.

2016-12-12  Thomas Tsai  <thomas@nchc.org.tw>

	merge release

2016-11-06  Thomas Tsai  <thomas@nchc.org.tw>

	add pt_BR support

	add pt_BR support

2016-10-24  Thomas Tsai  <thomas@nchc.org.tw>

	update makefile

2016-10-04  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #80 from rindeal/autoconf
	fix AC_ARG_ENABLE so that --disable-* options work as expected

	Merge pull request #80 from rindeal/autoconf
	fix AC_ARG_ENABLE so that --disable-* options work as expected

2016-10-04  Jan Chren (rindeal)  <dev.rindeal@gmail.com>

	fix AC_ARG_ENABLE so that --disable-* options work as expected
	Currently, if AC_ARG_ENABLE contains '--enable-foo' and user passes
	'--disable-foo' to './configure', '$enable_foo' will contain 'yes'.

	This commit strips 'action-if-(un)specified' arguments of AC_ARG_ENABLE
	in order to leverage the default behaviour, which sets `$enable_*'
	content appropriately.

2016-08-01  Thomas Tsai  <thomas@nchc.org.tw>

	accept patch from Budy Wuysang <nguik.gnuik _AT_ gmail.com> to fix compile issue on Cent OS 6.8 system

2016-06-23  Thomas Tsai  <thomas@nchc.org.tw>

	add xz comp for debian package

	release 0.2.89
	upgrade btrfs to 4.4.2 for btrfs issue
	accept patch from Andre Naujoks <nautsch2 at gmail.com> // Debian Bug report logs - #825990

2016-06-22  Thomas Tsai  <thomas@nchc.org.tw>

	update btrfs to 4.2.2

2016-02-19  Thomas Tsai  <thomas@nchc.org.tw>

	build 0.2.88

	release 0.2.88

	try to add reversed area manually

2016-02-03  Thomas Tsai  <thomas@nchc.org.tw>

	update po

2016-02-02  Thomas Tsai  <thomas@nchc.org.tw>

	try to fix signed block_size issue, the second advisory from David Gnedt

2016-01-28  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #77 from kenhys/xfsclone-fix-Wsign-compare-warnings
	Fix sign-compare warnings in xfsclone.c

2016-01-27  HAYASHI Kentaro  <hayashi@clear-code.com>

	Fix sign-compare warnings in xfsclone.c
	  xfsclone.c:211:9: warning: comparison between signed and unsigned [-Wsign-compare]
	     if (i == be32_to_cpu(agf->agf_fllast))
	         ^
	  xfsclone.c:213:11: warning: comparison between signed and unsigned [-Wsign-compare]
	     if (++i == XFS_AGFL_SIZE(mp))

2016-01-21  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #76 from kenhys/fix-mismatch-in-format-string
	Fix mismatch in format string

	Merge pull request #75 from kenhys/fix-memory-leak
	partclone: fix memory leak

	Merge pull request #74 from kenhys/fix-common-realloc-mistake
	f2fs: fix common realloc mistake

	Merge pull request #73 from kenhys/remove-unused-variables
	f2fs: remove unused variables

	Merge pull request #72 from kenhys/customize-mini-clone-test-fs-bs
	Customize mini clone test fs and bs

2016-01-20  HAYASHI Kentaro  <hayashi@clear-code.com>

	Fix type mismatch in format string
	  src/btrfs/print-tree.c:952]: (warning) %lld in format string (no. 4) requires 'long long' but the argument type is 'unsigned long long'.
	  src/progress.c:205]: (warning) %lld in format string (no. 2) requires 'long long' but the argument type is 'unsigned long long'.
	  src/progress.c:205]: (warning) %lld in format string (no. 3) requires 'long long' but the argument type is 'unsigned long long'.
	  src/progress.c:215]: (warning) %lld in format string (no. 2) requires 'long long' but the argument type is 'unsigned long long'.
	  src/progress.c:215]: (warning) %lld in format string (no. 3) requires 'long long' but the argument type is 'unsigned long long'.

	Fix type mismatch in format string
	  src/btrfs/kerncompat.h:77]: (warning) %d in format string (no. 2) requires 'int' but the argument type is 'unsigned int'.
	  src/btrfs/kerncompat.h:80]: (warning) %d in format string (no. 2) requires 'int' but the argument type is 'unsigned int'.
	  src/btrfs/ctree.c:2483]: (warning) %d in format string (no. 2) requires 'int' but the argument type is 'unsigned int'.
	  src/btrfs/ctree.c:2483]: (warning) %d in format string (no. 3) requires 'int' but the argument type is 'unsigned int'.
	  src/btrfs/print-tree.c:496]: (warning) %d in format string (no. 1) requires 'int' but the argument type is 'unsigned int'.
	  src/btrfs/print-tree.c:802]: (warning) %d in format string (no. 2) requires 'int' but the argument type is 'unsigned int'.
	  src/btrfs/print-tree.c:1034]: (warning) %d in format string (no. 3) requires 'int' but the argument type is 'unsigned int'.
	  src/btrfs/utils.c:1363]: (warning) %d in format string (no. 1) requires 'int' but the argument type is 'unsigned int'.

	partclone: fix memory leak
	This commit fixes following the error which is reported by cppcheck:

	  src/partclone.c:803]: (error) Memory leak: real_fsname

	f2fs: fix common realloc mistake
	This commit fixes following the error which is reported by cppcheck.

	  src/f2fs/fsck.c:508]: (error) Common realloc mistake: 'tree_mark' nulled but not freed upon failure

	f2fs: remove unused variables
	This commit fixes following the errors which are reported cppcheck.

	  src/f2fsclone.c:88]: (error) Uninitialized variable: bused
	  src/f2fsclone.c:98]: (error) Uninitialized variable: bfree

2016-01-13  Thomas Tsai  <thomas@nchc.org.tw>

	fix bitmap issue

2016-01-12  Thomas Tsai  <thomas@nchc.org.tw>

	try to fix fat issue

2016-01-07  HAYASHI Kentaro  <hayashi@clear-code.com>

	tests: Support to customize block size (-b) and file size (-f)
	Before:
	  ./mini_clone_restore_test ext4

	After:
	  same behavior as before:
	    ./mini_clone_restore_test ext4

	  extended to accept options:
	    ./mini_clone_restore_test -f 2G -b 4KB ext4

	  extended to accept long options:
	    ./mini_clone_restore_test --file-size 2G --block-size 4KB ext4

	Additionally, now accepts multiple fs.
	  ./mini_clone_restore_test ext4 ntfs

	tests: Add new usage which can customize bs and fs

	tests: Add function to convert given string into bytes

2016-01-05  Thomas Tsai  <thomas@nchc.org.tw>

	receive report "Security Vulnerability in Partclone from David Gnedt."
	and try to fix bitmap( set/clear/test bitmap out of boundary) overflow issue.

2015-12-24  Thomas Tsai  <thomas@nchc.org.tw>

	release 0.2.87

	0.2.87 release ready

2015-12-23  Thomas Tsai  <thomas@nchc.org.tw>

	merge and fix dev-to-dev ntfs raw file create issue

	fix ntfs raw restore issue

2015-11-14  Thomas Tsai  <thomas@nchc.org.tw>

	fix some conflict

2015-11-12  Thomas Tsai  <thomas@nchc.org.tw>

	merge release update

	Merge branch 'release' of github.com:Thomas-Tsai/partclone into release

	update mnt string to partclone_nilfs_mnt

	update nilfs to nilfs2 for all docs

	release 0.2.86

	release 0.2.86

	update README to README.md in all debian/docs

	release 0.2.86

	release 0.2.86

	release 0.2.86

	add language zh_CN, and ready to release 0.2.86

	Merge branch 'release' of github.com:Thomas-Tsai/partclone into release

	fix fat cluster count

2015-11-09  Thomas Tsai  <thomas@nchc.org.tw>

	add `

	rename README.markdown README.md

	remove ``

2015-11-09  Peter Dave Hello  <PeterDaveHello@users.noreply.github.com>

	Create zh_CN.po

	Update README.markdown

	Update and rename README to README.markdown
	Use markdown to be rich text!

2015-11-09  Thomas Tsai  <thomas@nchc.org.tw>

	add `

	rename README.markdown README.md

2015-11-09  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #67 from PeterDaveHello/patch-1
	Update README.markdown

	Merge pull request #68 from PeterDaveHello/patch-2
	Create zh_CN.po

2015-11-09  Thomas Tsai  <thomas@nchc.org.tw>

	remove ``

2015-11-09  Peter Dave Hello  <PeterDaveHello@users.noreply.github.com>

	Create zh_CN.po

2015-11-09  Thomas Tsai  <thomas@nchc.org.tw>

	Merge branch 'release'

	update nilfs mount and mkdir

2015-11-09  Peter Dave Hello  <PeterDaveHello@users.noreply.github.com>

	Update README.markdown

2015-11-09  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #66 from PeterDaveHello/patch-1
	Update and rename README to README.markdown

2015-11-09  Peter Dave Hello  <PeterDaveHello@users.noreply.github.com>

	Update and rename README to README.markdown
	Use markdown to be rich text!

2015-11-09  Thomas Tsai  <thomas@nchc.org.tw>

	merge and compile work

	merge current release

	update README

	Merge branch 'release' of github.com:Thomas-Tsai/partclone into release

	update README

2015-11-05  Thomas Tsai  <thomas@nchc.org.tw>

	release 0.2.85

	update version to 0.2.85

	Merge branch 'release' of github.com:Thomas-Tsai/partclone into release

	fix fat16 clone issue and add test for fat12, fat16 and fat32

2015-10-13  Thomas Tsai  <thomas@nchc.org.tw>

	release 0.2.84

	update control files

	update version

	remove all version test in configure.ac

	update version.h

	update release script

2015-10-12  Thomas Tsai  <thomas@nchc.org.tw>

	set version to 0.2.84 and add nilfs2 test

2015-10-06  Thomas Tsai  <thomas@nchc.org.tw>

	add test for nilfs

2015-10-05  Thomas Tsai  <thomas@nchc.org.tw>

	remove .deps

	add nilfs support

2015-09-24  Thomas Tsai  <thomas@nchc.org.tw>

	Merge branch 'release' of https://github.com/Thomas-Tsai/partclone into release

	add xfs 4.2.0 part of source to partclone

	update release

	release 0.2.83

	fix release

	fix btrfs

2015-09-23  Thomas Tsai  <thomas@nchc.org.tw>

	fix btrfs: disk bytenr larger than device size

2015-09-19  Thomas Tsai  <thomas@nchc.org.tw>

	fix conflict from merge release

	just replace all _row_ to _raw_

	replace _row_ to _raw_ in all xml files

2015-09-19  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #65 from shanemikel/patch-1
	typo in man page

2015-09-19  shanemikel  <shanemikel1@gmail.com>

	Typo in flag
	--restore_row_file should be --restore_raw_file

2015-08-31  Thomas Tsai  <thomas@nchc.org.tw>

	update debian folder

2015-08-25  Thomas Tsai  <thomas@nchc.org.tw>

	update release flow

2015-08-24  Thomas Tsai  <thomas@nchc.org.tw>

	release 0.2.83

	xfs: update bitmap calculating time

	fix 4k and dirty bitmap issue for xfs

2015-08-23  Thomas Tsai  <thomas@nchc.org.tw>

	update log_mesg

2015-08-20  Thomas Tsai  <thomas@nchc.org.tw>

	update log message

	fix 4k and dirty partiiton issue

2015-08-19  Thomas Tsai  <thomas@nchc.org.tw>

	update test

2015-08-03  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #62 from Gelma/master
	INSTALL: fix typo

2015-08-03  Thomas Tsai  <thomas@nchc.org.tw>

	update some test

2015-08-03  Andrea Gelmini  <andrea.gelmini@gelma.net>

	INSTALL: fix typo

2015-07-31  Thomas Tsai  <thomas@nchc.org.tw>

	fix error for dev-to-dev clone and add some tests

	add special test for checksum

	fix 2 similar error for crc error and read fail if used blocks can be divide by block ber checksum

2015-07-28  Thomas Tsai  <thomas@nchc.org.tw>

	fix compile error and warnings

2015-07-23  Thomas Tsai  <thomas@nchc.org.tw>

	0.2.81

	Merge branch 'release'

2015-07-23  ThomasTsai  <thomas@nchc.org.tw>

	changs ncurses update

2015-07-22  Thomas Tsai  <thomas@nchc.org.tw>

	merege from current release

2015-07-21  Thomas Tsai  <thomas@nchc.org.tw>

	autoreconf

	fix calloc error

2015-07-20  Thomas Tsai  <thomas@nchc.org.tw>

	test vmfs5 and ncursesw

	set version to 0.2.80 and fix some warnnings

2015-07-17  Thomas Tsai  <thomas@nchc.org.tw>

	update vmfs5 and test double free issue

	Merge branch 'release' of https://github.com/Thomas-Tsai/partclone into release

	try to fix double free issus

2015-07-01  Thomas Tsai  <thomas@nchc.org.tw>

	fix rules

	ready to release 0.2.79

	patch from DimStar77 and fix  missing includes

	fix vmfs

2015-06-30  Thomas Tsai  <thomas@nchc.org.tw>

	try to fix vmfs5

2015-06-24  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #61 from DimStar77/master
	Fix missing includes

2015-06-24  Dominique Leuenberger  <dimstar@opensuse.org>

	Fix missing includes
	When building with gcc5, string.h is no longer implicit included and the
	source must declare the includes.

	Otherwise, the build 'warns' about this error (which can have quite bad
	results):

	[   26s] ./src/deplib_version.c:31:9: warning: implicit declaration of
	function 'strcmp' [-Wimplicit-function-declaration]
	[   26s]      if (strcmp(libfs, "ntfs") == 0){

	Spotted by openSUSE Build Root Policy verification:
	[   40s] E: partclone implicit-fortify-decl ./src/deplib_version.c:31

2015-05-15  Thomas Tsai  <thomas@nchc.org.tw>

	Merge branch 'release' of github.com:Thomas-Tsai/partclone into release

	accept patch from Georges to fix a bug report from Debian, about missed builds for

2015-04-09  Thomas Tsai  <thomas@nchc.org.tw>

	ready to release 0.2.78

	set version to 0.2.78

	fix 16T partition issue

2015-04-02  Thomas Tsai  <thomas@nchc.org.tw>

	fix hiuge filesystem issue

2015-03-25  Thomas Tsai  <thomas@nchc.org.tw>

	update ChangeLog and version.h

	release 0.2.77

	remove some check that is duplicate and made error.

2015-01-21  Thomas Tsai  <thomas@nchc.org.tw>

	fix char related issue for bad sectors by Chris Clayton
	Conflicts:
		docs/partclone.imager.8
		src/partclone.c
		src/version.h

2015-01-16  Thomas Tsai  <thomas@nchc.org.tw>

	fix xfs and release(0.2.76) to test

	 * fix xfs clone issue while set size to backup but bigger then device size and not stop

2015-01-02  Thomas Tsai  <thomas@nchc.org.tw>

	fix char related issue for bad sectors by Chris Clayton

2014-12-30  Thomas Tsai  <thomas@nchc.org.tw>

	release 0.2.75

2014-12-29  Thomas Tsai  <thomas@nchc.org.tw>

	merge 0.2.74

	test btrfs

	add source of btrfs

	update source of btrfs

	try to fix btrfs

2014-11-05  Thomas Tsai  <thomas@nchc.org.tw>

	hide note: without note option

	update version script
	Conflicts:
		toolbox

	add --note option to fix issue #56 add fail-mbr/Makefile.am to pass prefix to new makefile which note from Fisiu (https://github.com/Thomas-Tsai/partclone/commit/cc5b6545bccd60f567d49944d7d9c36e0f4fc74b#commitcomment-8413428) fix issue #57 and use PKG_CHECK_MODULES to check version
	Conflicts:
		configure
		configure.ac
		src/partclone.c
		src/partclone.h
		tests/Makefile

	test about exfat and f2fs
	Conflicts:
		src/version.h
		tests/_common

	hide note: without note option

	update version script

	add --note option to fix issue #56 add fail-mbr/Makefile.am to pass prefix to new makefile which note from Fisiu (https://github.com/Thomas-Tsai/partclone/commit/cc5b6545bccd60f567d49944d7d9c36e0f4fc74b#commitcomment-8413428) fix issue #57 and use PKG_CHECK_MODULES to check version

2014-09-04  Thomas Tsai  <thomas@nchc.org.tw>

	test about exfat and f2fs

2014-09-03  Thomas Tsai  <thomas@nchc.org.tw>

	fix dd mode

	merge release

	merge release bux xfs error

	merge bb99bf

	merge 3f4ab3

	merge cd9230

	merge 0e9d79

	merge a1e231

	upgrade exfat to 1.1.0

2014-09-02  Thomas Tsai  <thomas@nchc.org.tw>

	initial f2fs support

2014-08-28  Thomas Tsai  <thomas@nchc.org.tw>

	update control

2014-07-15  Thomas Tsai  <thomas@nchc.org.tw>

	update version to 0.2.72

2014-07-09  Thomas Tsai  <thomas@nchc.org.tw>

	add package for debian jessie

	add package for debian wheezy

2014-07-08  Thomas Tsai  <thomas@nchc.org.tw>

	fix configure.ac and add libblkid-dev check

2014-07-08  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #49 from pfrouleau/review/teach_toolbox-version_to_only_returns_the_commit_id
	toolbox-version: grab only the commit hash instead of the commit message

2014-07-08  Patrick Rouleau  <pfrouleau@gmail.com>

	toolbox-version: grab only the commit hash instead of the commit message
	This change prevent toolbox-version to keep too many lines when it updates
	src/version.h, which was happening when the commit message contains the
	word "commit".

2014-07-07  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #48 from pfrouleau/review/replace_EXECNAME_by_get_exec_name
	Review/replace EXECNAME by get_exec_name

	Merge pull request #47 from pfrouleau/review/fix_compilation_warnings
	Review/fix compilation warnings

2014-07-07  Thomas Tsai  <thomas@nchc.org.tw>

	fix xfs

2014-07-06  Patrick Rouleau  <prouleau72@gmail.com>

	Remove file system's dependancies from main.c since they are not needed

	Remove EXECNAME since it is not used anymore

	Use the actual program's file name instead of using a hardcoded one

	Fix the definition of badsector_magic to fix a compilation warning

	Remove unused variables

2014-05-14  Thomas Tsai  <thomas@nchc.org.tw>

	0.2.71 ready to release
	Conflicts:
		src/version.h

	0.2.71 ready to release

	merger btrfs to 3.14 and update makefile
	Conflicts:
		Makefile.in
		aclocal.m4
		configure
		docs/Makefile.in
		src/Makefile.in
		src/version.h
		tests/Makefile
		tests/Makefile.in

	try to merge btrfs 3.14.1
	Conflicts:
		src/btrfs/disk-io.c

	merger btrfs to 3.14 and update makefile

2014-05-13  Thomas Tsai  <thomas@nchc.org.tw>

	try to merge btrfs 3.14.1

2014-03-10  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #44 from dannf/master
	cleanup errors generated by autoreconf

2014-03-08  dann frazier  <dannf@debian.org>

	automake: use AC_PROG_MKDIR_P instead of AM_PROG_MKDIR_P
	autoreconf emits the warning below. It can be resolved by following the
	advice provided by the warning. Though this is just a warning, it is fatal
	on Ubuntu because warnings are treated as errors.
	 See: https://bugs.launchpad.net/ubuntu/+source/partclone/+bug/1283294

	Warnings from autoreconf:
	  configure.ac:4: warning: The 'AM_PROG_MKDIR_P' macro is deprecated, and its use is discouraged.
	  configure.ac:4: You should use the Autoconf-provided 'AC_PROG_MKDIR_P' macro instead,
	  configure.ac:4: and use '$(MKDIR_P)' instead of '$(mkdir_p)'in your Makefile.am files.

	automake: Enable subdir-objects option
	When running autoreconf, automake currently reports the message below, followed
	by an additional warning for every .c file in a subdir. It is just a warning,
	but on Ubuntu this is fatal because warnings are treated as errors.
	 See: https://bugs.launchpad.net/ubuntu/+source/partclone/+bug/1283294

	Warnings from autoreconf:
	  src/Makefile.am:6: warning: source file 'btrfs/crc32c.c' is in a subdirectory,
	  src/Makefile.am:6: but option 'subdir-objects' is disabled
	  automake: warning: possible forward-incompatibility.
	  automake: At least a source file is in a subdirectory, but the 'subdir-objects'
	  automake: automake option hasn't been enabled.  For now, the corresponding output
	  automake: object file(s) will be placed in the top-level directory.  However,
	  automake: this behaviour will change in future Automake versions: they will
	  automake: unconditionally cause object files to be placed in the same subdirectory
	  automake: of the corresponding sources.
	  automake: You are advised to start using 'subdir-objects' option throughout your
	  automake: project, to avoid future incompatibilities.

2014-02-04  Thomas Tsai  <thomas@nchc.org.tw>

	fix manpage warning

2014-01-21  Thomas Tsai  <thomas@nchc.org.tw>

	update version to 0.2.70
	Conflicts:
		configure
		configure.ac
		src/version.h
		tests/Makefile

	fix restore-to-raw option

2014-01-20  Thomas Tsai  <thomas@nchc.org.tw>

	release 0.2.70

	update version to 0.2.70

	fix restore-to-raw option

2013-12-26  Thomas Tsai  <thomas@nchc.org.tw>

	update log, po and version

	ready to release 0.2.69

2013-12-25  Thomas Tsai  <thomas@nchc.org.tw>

	remove extra_data_test

	fix tests scripts

	accept tests script

	merge partclone.c

	update vi.po

	add test for reiser4

	update makefile

	finish tests script

2013-12-23  Thomas Tsai  <thomas@nchc.org.tw>

	merge tests/info.test

	fix segfault for info.c

2013-12-18  Thomas Tsai  <thomas@nchc.org.tw>

	add pre stable test

2013-12-12  Thomas Tsai  <thomas@nchc.org.tw>

	add test for reiser4

	fix reiser4 status issue

2013-12-11  Thomas Tsai  <thomas@nchc.org.tw>

	add quiet test

	add translation for Vietnamese from Trần Ngọc Quân  vnwildman@gmail.com

	add translation for Vietnamese from Trần Ngọc Quân  vnwildman@gmail.com

2013-12-09  Thomas Tsai  <thomas@nchc.org.tw>

	0.2.68 autoreconf done

	add stdin for partclone.info

	add stdin for partclone.info

2013-12-04  Thomas Tsai  <thomas@nchc.org.tw>

	merge release update

2013-12-03  Thomas Tsai  <thomas@nchc.org.tw>

	update rule for clonezilla

	fix xfs static link issue

2013-12-02  Thomas Tsai  <thomas@nchc.org.tw>

	fix error: #error You should define _FILE_OFFSET_BITS=64

	accept patch from daniel Rozenberg. While checking the man file I noticed some typos, fixed here

	accept patch from daniel Rozenberg. While checking the man file I noticed some typos, fixed here

	update version and log

	fix makefile for archlinux

	fix makefile for archlinux

2013-11-18  Thomas Tsai  <thomas@nchc.org.tw>

	update btrfs

2013-11-09  Thomas Tsai  <thomas@nchc.org.tw>

	ext3 test

2013-11-08  Thomas Tsai  <thomas@nchc.org.tw>

	merge format 2 ...

	merge format 2

2013-09-15  Patryck Rouleau  <pfrouleau@gmail.com>

	Test various blocks per checksum to check various checksum patterns
	The checksum's offset varies when blocks per checksum is odd,
	so it is better to test various values.

	partclone.chkimg: check only the image's size when it does not contains checksums

	partclone.info: show the image's details
	Show the details like:
	- partclone's version used to create the image
	- bitmap mode
	- checksum options

	print_partclone_info() learns about the info mode

	Enable image format version 0002
	Add the command line parameters to allow the user to select which features
	to use when he clones a file system.

	From this point, the image format writen by partclone is 0002.

	Partclone learns to handle various image version
	This commit updates load_image_desc() to handle the image by determining its
	version. The version written is still 0001.

	Clone & Restore operations learns to handle checksum on a block count other than 1
	These changes update the code producing the checksum and make it aware of
	value for blocks_per_checksum other than 1.

	load_image_bitmap() learns to load various type of bitmap

	write_image_bitmap() learns to write various type of bitmap

	Handle the checksum in a generic way
	Image version 0002 must supports various checksum algorithms. To that end,
	we move the checksum code in a new file and we define generic functions to
	hide the details of the selected algorithm.

	After this, partclone still generates images in version 0001, but the bases
	to supports more checksum algorithms is in place.

	Introduce image_options and supports a dynamic checksum's size
	A lot of changes in preparation for the image format 0002. All the changes
	require the image_options to determine how to handle the image.
	check_mem_size() is rewritten to handle the various cases.

2013-09-10  Patryck Rouleau  <pfrouleau@gmail.com>

	Move the file system's information into its own struct
	This commit impacts a lot of code, but it is mostly the remplacement of the
	type image_head by file_system_info. The code uses file_system_info_v2
	instead of *_v1 because the field "fs" is not available otherwise.
	image_head is only required inside load_image_desc() and write_image_desc().

	The functions get_image_* are renamed into load_image_* to indicate they
	load the informations from an image file.

	initial_image_hdr() is renamed into read_super_blocks() to indicate more
	precisely that it read the super blocks from a device.

	The image format written by partclone is still 0001.

	Prepare the code to handle a new image version
	Also rename VERSION_SIZE into IMAGE_VERSION_SIZE to make it more uniform.

	IMAGE_VERSION_CURRENT is to be used when the code does not care for other
	versions and can only handle the current image version.

	Remove repetition in Makefile.in
	Use a variable instead of repeating the same files all over.

	Teach restore_image_hdr() to validate the header he gets from the image
	This change is to simplify the handling of various image version.

	Move bitmap's signature check in get_image_bitmap()
	This change simplify the implementation of image version 0002,
	in which we have to read both version.

	Move bitmap writing in write_image_bitmap()
	This change will simplify the implementation of image 0002, in which
	the user can choose the bitmap format to be recorded.

	Move image_head writing in write_image_head
	This change will make the modifications for image version 0002 more
	localized.

	Disable struct's members alignment and regroup the structs' definitions
	The compiler automatically align the struct's members on the platform's
	memory boundary. This is to prevent a lost of performance when the members
	cross the memory boundary of the platform. If the alignment is not disabled,
	the image created with a 64 bits version is not usable by a 32 bits version
	and vice-versa.

	In our case, a padding of 2 bytes is added before block_size to align it
	on the next address divisible by 4.

	    00000000  70 61 72 74 63 6c 6f 6e  65 2d 69 6d 61 67 65 45  |partclone-imageE|
	    00000010  58 54 46 53 00 00 00 00  00 00 00 00 00 00 30 30  |XTFS..........00|
	    00000020  30 31 XX XX 00-04-00-00  00-d0-ff-1f-00-00-00-00  |01..............|
	    00000030  f4-ff-07-00-00-00-00-00  be-c3-01-00-00-00-00-00  |................|
	    00000040  00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00  |................|

	Declare fs_opt from fs_common.h instead of declaring it in every fs' implementation
	This is simply to reduce code deduplication.

	Declare read_bitmap() and initial_image_hdr() in one place
	This reduce code duplication and simplify the modification of their
	declaration when they must be updated.

	readbitmap() is renamed read_bitmap() to follow the coding standard.

	Add functions to allocate and initialize the bitmap
	This make the code a little bit easier to read and maintain.

	Fix warnings from btrfs by using the same type than them
	btrfs uses u64 instead of uint64_t and they force the compiler to check
	the types passed to the API.

	Use the right type spec when calling log_mesg()

	toolbox: do not rewrite version.h if the version is the same
	When version.h is modified, every programs are recompiled. By avoiding to
	modify it, we avoid to recompile every thing at each execution of make.

2013-08-31  Thomas Tsai  <thomas@nchc.org.tw>

	mergr release

2013-08-04  Patryck Rouleau  <pfrouleau@gmail.com>

	Enable image format version 0002
	Add the command line parameters to allow the user to select which features
	to use when he clones a file system.

	From this point, the image format writen by partclone is 0002.

	Partclone learns to handle various image version
	This commit updates load_image_desc() to handle the image by determining its
	version. The version written is still 0001.

	Clone & Restore operations learns to handle checksum on a block count other than 1
	These changes update the code producing the checksum and make it aware of
	value for blocks_per_checksum other than 1.

	BUG: fail to validate the latest checksum

	load_image_bitmap() learns to load various type of bitmap

	write_image_bitmap() learns to write various type of bitmap

	Handle the checksum in a generic way
	Image version 0002 must supports various checksum algorithms. To that end,
	we move the checksum code in a new file and we define generic functions to
	hide the details of the selected algorithm.

	After this, partclone still generates images in version 0001, but the bases
	to supports more checksum algorithms is in place.

	Introduce image_options and supports a dynamic checksum's size
	A lot of changes in preparation for the image format 0002. All the changes
	require the image_options to determine how to handle the image:
	- what is the size of the checksum?

	check_mem_size() is rewritten to handle the various cases.

	Move the file system's information into its own struct
	This commit impacts a lot of code, but it is mostly the remplacement of the
	type image_head by file_system_info. The code uses file_system_info_v2
	instead of *_v1 because the field "fs" is not available otherwise.
	image_head is only required inside load_image_desc() and write_image_desc().

	The functions get_image_* are renamed into load_image_* to indicate they
	load the informations from an image file.

	initial_image_hdr() is renamed into read_super_blocks() to indicate more
	precisely that it read the super blocks from a device.

	The image format written by partclone is still 0001.

	Prepare the code to handle a new image version
	Also rename VERSION_SIZE into IMAGE_VERSION_SIZE to make it more uniform.

	IMAGE_VERSION_CURRENT is to be used when the code does not care for other
	versions and can only handle the current image version.

	Remove repetition in Makefile.in
	Use a variable instead of repeating the same files all over.

	Teach restore_image_hdr() to validate the header he gets from the image
	This change is to simplify the handling of various image version.

	Move bitmap's signature check in get_image_bitmap()
	This change simplify the implementation of image version 0002,
	in which we have to read both version.

	Move bitmap writing in write_image_bitmap()
	This change will simplify the implementation of image 0002, in which
	the user can choose the bitmap format to be recorded.

	Move image_head writing in write_image_head
	This change will make the modifications for image version 0002 more
	localized.

	Disable struct's members alignment and regroup the structs' definitions
	The compiler automatically align the struct's members on the platform's
	memory boundary. This is to prevent a lost of performance when the members
	cross the memory boundary of the platform. If the alignment is not disabled,
	the image created with a 64 bits version is not usable by a 32 bits version
	and vice-versa.

	In our case, a padding of 2 bytes is added before block_size to align it
	on the next address divisible by 4.

	    00000000  70 61 72 74 63 6c 6f 6e  65 2d 69 6d 61 67 65 45  |partclone-imageE|
	    00000010  58 54 46 53 00 00 00 00  00 00 00 00 00 00 30 30  |XTFS..........00|
	    00000020  30 31 XX XX 00-04-00-00  00-d0-ff-1f-00-00-00-00  |01..............|
	    00000030  f4-ff-07-00-00-00-00-00  be-c3-01-00-00-00-00-00  |................|
	    00000040  00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00  |................|

	Declare fs_opt from fs_common.h instead of declaring it in every fs' implementation
	This is simply to reduce code deduplication.

	Declare read_bitmap() and initial_image_hdr() in one place
	This reduce code duplication and simplify the modification of their
	declaration when they must be updated.

	readbitmap() is renamed read_bitmap() to follow the coding standard.

	Add functions to allocate and initialize the bitmap
	This make the code a little bit easier to read and maintain.

	Fix warnings from btrfs by using the same type than them
	btrfs uses u64 instead of uint64_t and they force the compiler to check
	the types passed to the API.

	Use the right type spec when calling log_mesg()

	toolbox: do not rewrite version.h if the version is the same
	When version.h is modified, every programs are recompiled. By avoiding to
	modify it, we avoid to recompile every thing at each execution of make.

2013-08-04  Thomas Tsai  <thomas@nchc.org.tw>

	fix used_block error

2013-08-04  Patryck Rouleau  <pfrouleau@gmail.com>

	Ignore tests/Makefile since it is a generated file

	Revert "Ignore files generated by automake and autoheader"
	This reverts commit bab8877a93b5d5858d04f2876ad1be2d183c2fa7.

2013-07-09  Thomas Tsai  <thomas@nchc.org.tw>

	    * add test btrfs version to configure     * upgrade btfs to 0.20rc1     * update configure for automake 1.13

	update dd mode string

2013-07-03  Thomas Tsai  <thomas@nchc.org.tw>

	0.2.66

	fix read stdin size smaller than buffer size for partclone.dd

2013-07-02  Thomas Tsai  <thomas@nchc.org.tw>

	0.2.65

	update open error for ddd

2013-07-01  Thomas Tsai  <thomas@nchc.org.tw>

	update dd_bs to 1024

	0.2.64

	update ignore

	dix dd issue

2013-06-30  Thomas Tsai  <thomas@nchc.org.tw>

	update version and update manual for partclone.dd and partclone.imager

	add imager and fix dd

2013-06-20  Thomas Tsai  <thomas@nchc.org.tw>

	fix used_block error

2013-06-20  Patryck Rouleau  <pfrouleau@gmail.com>

	Ignore tests/Makefile since it is a generated file

	Revert "Ignore files generated by automake and autoheader"
	This reverts commit bab8877a93b5d5858d04f2876ad1be2d183c2fa7.

2013-06-18  Thomas Tsai  <thomas@nchc.org.tw>

	add version.h

	update git version

	0.2.62

	fix unused variable

	fix used_block error

2013-06-18  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #37 from pfrouleau/fixes
	Fixes

2013-06-17  Patryck Rouleau  <pfrouleau@gmail.com>

	Ignore files generated by automake and autoheader

	Initialize the bitmap for every file system
	Some file systems only use pc_set_bit() (ie they do not call pc_clear_bit())
	when they build the bitmap of blocks in use. In these case it is important
	to clear the bitmap first.

	Remove unused variable from crc32()

	Add declaration of print_version() in partclone.h

	toolbox: only grep the line starting with "commit"
	This allow grep to ignore the keyword when it appears in the commit's title
	or commit's message.

	btrfs: fix memory management in find_and_setup_log_root()
	log_root does not have to be freed at the end because it is assigned to
	fs_info->log_root_tree.
	However, it have to be freed when the function returns on an error. Idem
	for log_root->node.

	I have based my modifications on the most recent btrfs's commit, at
	http://git.kernel.org/cgit/linux/kernel/git/mason/btrfs-progs.git/tree/disk-io.c?id=650e656a8b9c1fbe4ec5cd8c48ae285b8abd3b69

	I have ordered the lines differently to make the code a little bit simpler.

2013-06-14  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #36 from nickgarvey/master
	Close ext fs after opening for determining type

2013-06-14  Nick Garvey  <ngarvey@dattobackup.com>

	Properly close device after opening it to determine type
	The prior code was unreachable due to the returns above it.

2013-06-13  Tran Ngoc Quan  <vnwildman@gmail.com>

	Init Vietnamese translation

2013-06-09  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #35 from pfrouleau/optimize_crc32_computation
	Optimize crc32 computation

	Merge pull request #34 from pfrouleau/ignore_version_h
	Add src/version.h to .gitignore since it is a generated file

	Merge pull request #33 from pfrouleau/fix_version_h_generation
	teach toolbox to use a relative path to generate src/version.h

2013-06-07  Patryck Rouleau  <pfrouleau@gmail.com>

	teach toolbox to use a relative path to generate src/version.h
	When toolbox is called from the makefile, src/ is the working directory
	and it fails to create src/version.h.
	By using a path relative to its own location, it can be called from
	anywhere in the project.

	Add src/version.h to .gitignore since it is a generated file

	Optimize crc32 computation
	Move the crc table initialization outside of the loop to avoid to check the
	init flag for every byte.

	My benchmark show a gain of 26% to clone a partition of 17G with 10G used:

	init crc32 table inside the loop:
	real   4m23.649s
	user   2m20.301s
	sys    1m34.782s

	init crc32 table outside the loop:
	real   3m13.169s
	user   1m15.269s
	sys    1m30.966s

2013-06-06  Thomas Tsai  <thomas@nchc.org.tw>

	update test script

2013-06-04  Thomas Tsai  <thomas@nchc.org.tw>

	add options to partclone.info to assign logfile path

2013-05-26  Thomas Tsai  <thomas@nchc.org.tw>

	typo of partclone manual

2013-05-20  Thomas Tsai  <thomas@nchc.org.tw>

	0.2.61

2013-05-06  Thomas Tsai  <thomas@nchc.org.tw>

	find a lot of warning from -Wall and fix it. change default buffer size to 1M

2013-05-03  Thomas Tsai  <thomas@nchc.org.tw>

	add ncurses display for chkimg. add option to assign buffer size update usage of partclone.restore

2013-04-29  Thomas Tsai  <thomas@nchc.org.tw>

	accept patch from Роман Шишнев to fix: 1. cpu usage, partclone uses too much cpu. The main problem is too short buffer (fs block size) for almost all io operations. To increase buffer size I had to rewrite most part of main.c. 2. duplicate code, duplicated bugs.
	after patch which contains all my changes for partclone, Now the cpu usage is the only crc-checksumming.

2013-03-29  Thomas Tsai  <thomas@nchc.org.tw>

	accept patch from Jumpei Ogawa to fix memory leak. this issue also fixed to btrfs git http://git.kernel.org/cgit/linux/kernel/git/mason/btrfs-progs.git/commit/?id=1cce8d72f2d0d00bd5c9322b16176de0fb56aff6

	update test exfat

2013-03-28  Thomas Tsai  <thomas@nchc.org.tw>

	ignore check failmbr

	ready to release 0.2.60

	update rules for squeeze

2013-02-21  Thomas Tsai  <thomas@nchc.org.tw>

	0.2.59

2013-02-20  Thomas Tsai  <thomas@nchc.org.tw>

	add count_used_block

	update git ignore

	fix minix version 3

2013-02-06  Thomas Tsai  <thomas@nchc.org.tw>

	fix minix clone error

2013-02-05  Thomas Tsai  <thomas@nchc.org.tw>

	initial minix clone

2013-01-30  Thomas Tsai  <thomas@nchc.org.tw>

	add option w, --skip_write_error to skip block write erro and keep restoring data

2013-01-22  Thomas Tsai  <thomas@nchc.org.tw>

	fix path of fallmbr

	0.2.58

2013-01-21  Thomas Tsai  <thomas@nchc.org.tw>

	update small screen issue

2013-01-18  Thomas Tsai  <thomas@nchc.org.tw>

	add test file

	try to fix terminal size issue

2013-01-14  Thomas Tsai  <thomas@nchc.org.tw>

	package failmbr

	update makefile for fail-mbr

	0.2.57

	update jfs

2013-01-10  Thomas Tsai  <thomas@nchc.org.tw>

	fix jfs clone issue

2013-01-02  Thomas Tsai  <thomas@nchc.org.tw>

	update todo

	Merge branch 'master' into free
	Conflicts:
		TODO

	update ufs

2012-11-19  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #28 from okkez/add-missing-declarations
	Add missing declarations.

	Merge pull request #27 from okkez/suppress-warnings-by-gcc-xfs
	Suppress warnings reported by gcc for xfsclone.[ch]

	Merge pull request #26 from okkez/suppress-warnings-by-gcc-vmfs
	Suppress warnings reported by gcc for vmfsclone.[ch] and vmfs5clone.c

	Merge pull request #25 from okkez/suppress-warnings-by-gcc-extfs
	Suppress warnings reported by gcc for extfsclone.[ch]

	Merge pull request #24 from okkez/suppress-warnings-by-gcc-fat
	Suppress warnings reported by gcc for fatclone.[ch]

	Merge pull request #23 from okkez/cleanup-common
	Suppress warnings reported by gcc for main.c, partclone.c, progress.h

	Merge pull request #22 from okkez/cleanup-restore
	Remove unused variables in restore.c

	Merge pull request #21 from okkez/cleanup-chkimg
	Remove unused variables in chkimg.c.

	Merge pull request #20 from okkez/suppress-warnings-by-gcc-exfat
	Suppress warnings reported by gcc for exfatclone.[ch]

	Merge pull request #19 from okkez/suppress-warnings-by-gcc-btrfs
	Suppress warnings reported by gcc for btrfsclone.h.

	Merge pull request #18 from okkez/fix-ufs-problems
	Fix ufs problems

2012-11-17  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #17 from okkez/fix-jfs-problems
	Fix jfs problems

	Merge pull request #16 from okkez/fix-format-string-for-reiser4
	Fix format string for reiser4clone.c

	Merge pull request #15 from okkez/suppress-warnings-by-gcc-reiser4
	Suppress warnings reported by gcc for reiser4clone.h

	Merge pull request #14 from okkez/suppress-warnings-by-gcc-reiserfs
	Suppress warnings reported by gcc for reiserfsclone.[ch]

	Merge pull request #13 from okkez/suppress-warnings-by-gcc-hfsp
	Suppress warnings by gcc for hfspclone.[ch]

	Merge pull request #12 from moriyama/fix-calling-vmfs_fs_open
	Fix calling vmfs_fs_open()

	Merge pull request #11 from okkez/cleanup-ddclone
	Cleanup ddclone

	Merge pull request #10 from okkez/add-default-cflags
	Add default CFLAGS

	Merge pull request #8 from okkez/use-vsnprintf
	Use vsnprintf() instead of vsprintf() in src/partclone.c

	Merge pull request #7 from okkez/fix-infinite-loop
	Avoid infinite loop in src/main.c

	Merge pull request #6 from okkez/plug-a-memory-leak
	Plug a memory leak in src/partclone.c

2012-11-14  Kenji Okimoto  <okimoto@clear-code.com>

	Add missing declarations.
	main.c:314: warning: implicit declaration of function 'get_image_bitmap'
	main.c:642: warning: implicit declaration of function 'write_last_block'

	Remove an unused variable.
	xfsclone.c:180: warning: unused variable 's_pos'

	Do not declare static functions in header file.
	xfsclone.h:40: warning: 'set_bitmap' declared 'static' but never defined
	xfsclone.h:43: warning: 'fs_open' declared 'static' but never defined
	xfsclone.h:46: warning: 'fs_close' declared 'static' but never defined

2012-11-13  Kenji Okimoto  <okimoto@clear-code.com>

	Suppress warnings reported by gcc
	vmfs5clone.c:235: warning: control reaches end of non-void function
	vmfs5clone.c:194: warning: control reaches end of non-void function

	Add missing include to suppress a warning
	vmfs5clone.c:405: warning: implicit declaration of function 'sleep'

	Suppress warnings reported by gcc.
	vmfs5clone.c:268: warning: unused variable 'next'
	vmfs5clone.c:265: warning: unused variable 'lvm'
	vmfs5clone.c:315: warning: unused variable 'status'
	vmfs5clone.c:314: warning: unused variable 'total'
	vmfs5clone.c:313: warning: unused variable 'prog_total'

	Suppress warnings reported by gcc
	vmfsclone.c:33: warning: unused variable 'next'
	vmfsclone.c:30: warning: unused variable 'lvm'

	Do not declare static functions in header file.
	vmfsclone.h:15: warning: 'fs_open' declared 'static' but never defined
	vmfsclone.h:18: warning: 'fs_close' declared 'static' but never defined

	Use blk_t instead of int to suppress a warning.
	extfsclone.c: In function ‘device_size’:
	extfsclone.c:87:5: warning: pointer targets in passing argument 3 of ‘ext2fs_get_device_size’ differ in signedness [-Wpointer-sign]
	In file included from extfsclone.c:17:0:
	/usr/include/ext2fs/ext2fs.h:1196:18: note: expected ‘blk_t *’ but argument is of type ‘int *’

	Add missing braces to suppress a warning
	extfsclone.c:193:8: warning: suggest explicit braces to avoid ambiguous ‘else’ [-Wparentheses]

	Do not declare static functions in header file.
	extfsclone.h:15:13: warning: ‘fs_open’ declared ‘static’ but never defined [-Wunused-function]
	extfsclone.h:18:13: warning: ‘fs_close’ declared ‘static’ but never defined [-Wunused-function]
	extfsclone.h:21:12: warning: ‘block_size’ declared ‘static’ but never defined [-Wunused-function]
	extfsclone.h:24:27: warning: ‘device_size’ declared ‘static’ but never defined [-Wunused-function]
	extfsclone.h:27:27: warning: ‘block_count’ declared ‘static’ but never defined [-Wunused-function]
	extfsclone.h:30:27: warning: ‘get_used_blocks’ declared ‘static’ but never defined [-Wunused-function]
	extfsclone.h:36:12: warning: ‘test_extfs_type’ declared ‘static’ but never defined [-Wunused-function]

	Add prototype declaration

	Rename variable name j -> i

	Remove unused variables in fatclone.c
	fatclone.c:246:24: warning: unused variable ‘i’ [-Wunused-variable]
	fatclone.c:274:24: warning: unused variable ‘i’ [-Wunused-variable]
	fatclone.c:301:24: warning: unused variable ‘i’ [-Wunused-variable]
	fatclone.c:332:24: warning: unused variable ‘free_blocks’ [-Wunused-variable]
	fatclone.c:331:24: warning: unused variable ‘cluster_count’ [-Wunused-variable]
	fatclone.c:330:24: warning: unused variable ‘sec_per_fat’ [-Wunused-variable]
	fatclone.c:329:24: warning: unused variable ‘data_sec’ [-Wunused-variable]
	fatclone.c:326:10: warning: unused variable ‘sig’ [-Wunused-variable]
	fatclone.c:370:20: warning: unused variable ‘opt’ [-Wunused-variable]
	fatclone.c:369:14: warning: unused variable ‘Fat32_Entry’ [-Wunused-variable]
	fatclone.c:368:14: warning: unused variable ‘Fat16_Entry’ [-Wunused-variable]
	fatclone.c:362:9: warning: unused variable ‘rd’ [-Wunused-variable]
	fatclone.c:361:31: warning: unused variable ‘j’ [-Wunused-variable]
	fatclone.c:431:9: warning: unused variable ‘rd’ [-Wunused-variable]

	Do not declare static functions in header file.
	fatclone.h:89:13: warning: ‘fs_open’ declared ‘static’ but never defined [-Wunused-function]
	fatclone.h:92:13: warning: ‘fs_close’ declared ‘static’ but never defined [-Wunused-function]
	fatclone.h:101:27: warning: ‘get_used_block’ declared ‘static’ but never defined [-Wunused-function]
	fatclone.h:104:14: warning: ‘get_fat_type’ declared ‘static’ but never defined [-Wunused-function]
	fatclone.h:122:27: warning: ‘mark_reserved_sectors’ declared ‘static’ but never defined [-Wunused-function]

	Remove an unused variable
	partclone.c:348:20: warning: unused variable ‘opt’ [-Wunused-variable]

	This warning is displayed if specified "--enable-ncursesw".

	Remove unused variables in main.c
	main.c:130:11: warning: unused variable ‘s_count’ [-Wunused-variable]
	main.c:128:11: warning: unused variable ‘n_crc_size’ [-Wunused-variable]

	Do not declare static functions in header file.
	progress.h:53:13: warning: ‘calculate_speed’ declared ‘static’ but never defined [-Wunused-function]
	progress.h:63:8: warning: ‘open_p_ncurses’ declared ‘static’ but never defined [-Wunused-function]
	progress.h:64:8: warning: ‘close_p_ncurses’ declared ‘static’ but never defined [-Wunused-function]

	Remove unused variables in partclone.c
	partclone.c:1056:24: warning: unused variable ‘dev_size’ [-Wunused-variable]
	partclone.c:1126:9: warning: unused variable ‘block’ [-Wunused-variable]

	Suppress a warning reported by gcc.
	partclone.c:343:9: warning: unused variable ‘debug’ [-Wunused-variable]

	This warning is displayed if specify "--enable-ncursesw".

	Remove unused variables in restore.c
	restore.c:80:11: warning: unused variable ‘s_count’ [-Wunused-variable]
	restore.c:75:19: warning: unused variable ‘crc’ [-Wunused-variable]
	restore.c:68:24: warning: unused variable ‘needed_size’ [-Wunused-variable]

	Remove unused variables in chkimg.c.
	chkimg.c:187:11: warning: unused variable ‘image_hdr_magic’ [-Wunused-variable]
	chkimg.c:185:11: warning: unused variable ‘raw’ [-Wunused-variable]
	chkimg.c:182:11: warning: unused variable ‘rescue_num’ [-Wunused-variable]
	chkimg.c:181:11: warning: unused variable ‘s_count’ [-Wunused-variable]
	chkimg.c:162:12: warning: unused variable ‘source’ [-Wunused-variable]

	Remove unused variables.
	ddclone.c:77:9: warning: variable ‘pres’ set but not used [-Wunused-but-set-variable]
	ddclone.c:71:11: warning: unused variable ‘s_count’ [-Wunused-variable]
	ddclone.c:68:11: warning: unused variable ‘cmp’ [-Wunused-variable]
	ddclone.c:67:11: warning: unused variable ‘bitmagic_r’ [-Wunused-variable]
	ddclone.c:66:11: warning: unused variable ‘bitmagic’ [-Wunused-variable]
	ddclone.c:61:24: warning: unused variable ‘sf’ [-Wunused-variable]
	ddclone.c:61:12: warning: unused variable ‘offset’ [-Wunused-variable]

	Remove unused variables.
	exfatclone.c:53: warning: unused variable 'free_clusters'
	exfatclone.c:53: warning: unused variable 'free_sectors'
	exfatclone.c:52: warning: unused variable 'sb'

	Suppress warnings reported by gcc.
	exfatclone.h:15: warning: 'fs_open' declared 'static' but never defined
	exfatclone.h:18: warning: 'fs_close' declared 'static' but never defined

2012-11-12  Kenji Okimoto  <okimoto@clear-code.com>

	Suppress warnings reported by gcc.
	btrfsclone.h:15: warning: 'fs_open' declared 'static' but never defined
	btrfsclone.h:18: warning: 'fs_close' declared 'static' but never defined

	Remove unused variables reported by cppcheck.
	[src/jfsclone.c:126]: (style) Unused variable: btotal
	[src/jfsclone.c:126]: (style) Unused variable: bfree
	[src/jfsclone.c:299]: (style) Variable 'lblock' is assigned a value that is never used
	[src/jfsclone.c:305]: (style) Unused variable: dmap_l2bpp
	[src/jfsclone.c:306]: (style) Unused variable: d_address
	[src/jfsclone.c:307]: (style) Unused variable: d_map
	[src/jfsclone.c:308]: (style) Unused variable: dmap
	[src/jfsclone.c:308]: (style) Unused variable: l0
	[src/jfsclone.c:308]: (style) Unused variable: l1
	[src/jfsclone.c:309]: (style) Variable 'next' is assigned a value that is never used
	[src/jfsclone.c:310]: (style) Unused variable: btotal
	[src/jfsclone.c:310]: (style) Unused variable: bfree
	[src/jfsclone.c:311]: (style) Unused variable: tub
	[src/jfsclone.c:312]: (style) Variable 'tb' is assigned a value that is never used
	[src/jfsclone.c:313]: (style) Variable 'pb' is assigned a value that is never used
	[src/jfsclone.c:314]: (style) Variable 'block_used' is assigned a value that is never used
	[src/jfsclone.c:315]: (style) Variable 'block_free' is assigned a value that is never used

	Do not declare static functions in header file.
	This fix suppresses GCC warnings.

	Remove unused variables reported by cppcheck.
	[src/ufsclone.c:184]: (style) Variable 'start' is assigned a value that is never used
	[src/ufsclone.c:184]: (style) Variable 'bit_size' is assigned a value that is never used

	Initialize `fsflags` and update it correctly.
	Before apply this patch, sometimes this program can crash.

	Do not declare static functions in header file.
	This fix suppresses GCC warnings.

	Use "%llu" instead of "%lli".
	Because `block` and `bfree` are unsigned long long.

	Fix arguments order

	Suppress warnings reported by gcc
	reiser4clone.h:15:13: warning: ‘fs_open’ declared ‘static’ but never defined [-Wunused-function]
	reiser4clone.h:18:13: warning: ‘fs_close’ declared ‘static’ but never defined [-Wunused-function]

	Remove an unused variable.
	reiserfsclone.c:71: warning: unused variable 'node'

	Suppress warnings reported by gcc
	reiserfsclone.h:15: warning: 'fs_open' declared 'static' but never defined
	reiserfsclone.h:18: warning: 'fs_close' declared 'static' but never defined

2012-11-08  Masayuki Moriyama  <masayuki.moriyama@miraclelinux.com>

	fstype.c: fix incompatible pointer types warning

	vmfs5clone.c: fix incompatible pointer types warning

	vmfsclone.c: fix incompatible pointer types warning

2012-11-08  Kenji Okimoto  <okimoto@clear-code.com>

	Remove an unused variable reported by gcc
	hfsplusclone.c:129: warning: unused variable 'i'

	Suppress warnings reported by gcc.
	hfsplusclone.h:69: warning: 'reverseShort' declared 'static' but never defined
	hfsplusclone.h:71: warning: 'reverseInt' declared 'static' but never defined
	hfsplusclone.h:73: warning: 'IsAllocationBlockUsed' declared 'static' but never defined
	hfsplusclone.h:75: warning: 'print_fork_data' declared 'static' but never defined
	hfsplusclone.h:78: warning: 'fs_open' declared 'static' but never defined
	hfsplusclone.h:81: warning: 'fs_close' declared 'static' but never defined

2012-11-07  Kenji Okimoto  <okimoto@clear-code.com>

	Add default CFLAGS

	Remove needless cast

	Use "%llu" instead of "%lli" because total_write is unsigned long long

2012-11-06  Kenji Okimoto  <okimoto@clear-code.com>

	Use vsnprintf() instead of vsprintf().
	This may avoid buffer overflow

2012-11-06  Thomas Tsai  <thomas@nchc.org.tw>

	add check to fail-mbr

	add fail-mbr

	fix error: ‘debug’ undeclared again

	fix error: ‘debug’ undeclared

2012-11-06  Kenji Okimoto  <okimoto@clear-code.com>

	Plug a memory leak

	Use unsigned long long instead of int
	image_hdr.totalblock may be unsigned 64 bits in size.

2012-11-06  Thomas Tsai  <tlinux.tsai@gmail.com>

	Merge pull request #4 from okkez/malloc-check
	Add malloc/calloc result check

	Merge pull request #3 from okkez/fix-problems-reported-by-cppcheck
	Fix problems reported by cppcheck

2012-11-06  Thomas Tsai  <thomas@nchc.org.tw>

	Revert "remove exfat temporarily"
	This reverts commit cda497b0bc6f6dda2777e1eacd45841b5766a35b.

	Merge branch 'master' of ssh://free.nchc.org.tw:3322/home/gitpool/partclone

	Revert "add test script for offset" rollback exfat
	This reverts commit ca18098bebb3585545e62a62bb651c3d0534891c.

	try to branch exfat

	release 0.2.56

	remove exfat temporarily

2012-11-02  Kenji Okimoto  <okimoto@clear-code.com>

	Add check calloc() result

	Add check calloc() result

	Exit if calloc() failed

	Add check malloc() result

	Add check malloc() result

	Add check malloc() result

	ensure NULL terminated string

	do not free NULL

	plug a memory leak

	fix buffer overflow

2012-10-22  Thomas Tsai  <thomas@nchc.org.tw>

	add test script for offset

	add offset function

2012-10-11  Thomas Tsai  <thomas@nchc.org.tw>

	update TODO

	update configure

	release 0.2.55

2012-10-08  Thomas Tsai  <thomas@nchc.org.tw>

	fix bug from sourceforge track system:     some files restored by partclone.vmfs3 is corrupted     incorrect information in the log accept patch files:     partclone-0.2.54-fix-printf-format-1.patch from Masayuki Moriyama     partclone-fix-wrong-bitmap-of-vmfsclone.patch from Masayuki Moriyama
	Masayuki Moriyama report two bugs and patchs, Thank You.

2012-10-01  Thomas Tsai  <thomas@nchc.org.tw>

	update TODO

2012-09-26  Thomas Tsai  <thomas@nchc.org.tw>

	* upgrade btrfs  version (still 0.19 accept patches from debian source) * add --enable-fs-test to run file system clone/restore test suite * add dd test as default test * versioin 0.2.54

	update test script

2012-09-25  Thomas Tsai  <thomas@nchc.org.tw>

	update tests

	comment some test

	add tests add make check but not work well set version 0.2.53

2012-09-24  Thomas Tsai  <thomas@nchc.org.tw>

	add debian.squeeze back and rename debian to debian.sid

2012-09-21  Thomas Tsai  <thomas@nchc.org.tw>

	update makefile

	add more man pages

	update man page

	add man page

	remove sid squeeze

	update debian folder

2012-09-20  Thomas Tsai  <thomas@nchc.org.tw>

	update ncurses interface.
	fix issue: ncurses interface can't work on saving partition with pipe because both use stdout at the same time.

	since initscr() use stdout default, and we try to replace with newterm() with stderr.

	set ncurses window to stderr
		modified:   src/Makefile.in
		modified:   src/ddclone.c
		modified:   src/main.c
		modified:   src/partclone.c
		modified:   src/restore.c

2012-09-17  Thomas Tsai  <thomas@nchc.org.tw>

	update TODO

2012-07-31  Thomas Tsai  <thomas@nchc.org.tw>

	update some docs

2012-07-30  Thomas Tsai  <thomas@nchc.org.tw>

	update version to 0.2.51

	update process for elapsed time over 24hr

2012-07-25  Thomas Tsai  <thomas@nchc.org.tw>

	update supported list

2012-07-13  Thomas Tsai  <thomas@nchc.org.tw>

	update makefile

2012-07-10  Thomas Tsai  <thomas@nchc.org.tw>

	version 0.2.50

	update test and size information

	add test for exfat

	update exfat and add exfat man docs

	add exfat

2012-06-27  Thomas Tsai  <thomas@nchc.org.tw>

	add more detail message in image head output

2012-06-15  Thomas Tsai  <thomas@nchc.org.tw>

	add partclone.btrfs.8

	update control

	update control

	fix quiet mode issue. The issue make partclone can't stop/finish even action is done. bug report from pille

2012-05-30  Thomas Tsai  <thomas@nchc.org.tw>

	update manpage

2012-05-29  Thomas Tsai  <thomas@nchc.org.tw>

	update docs

	update docs

2012-05-18  Thomas Tsai  <thomas@nchc.org.tw>

	minor update readme

2012-05-16  Thomas Tsai  <thomas@nchc.org.tw>

	update TODO

2012-05-01  Thomas Tsai  <thomas@nchc.org.tw>

	Merge branch 'master' of partclone.nchc.org.tw:/home/partclone

	update vmfs for some unallocated block

2012-04-29  Thomas Tsai  <thomas@nchc.org.tw>

	A partclone bug found when it backs up  WindowsServer2008R2 (64bit)  on

2012-04-26  Thomas Tsai  <thomas@nchc.org.tw>

	update bitmap progress

2012-04-26  thomas  <thomas@T-68.nchc.org.tw>

	ignore unallocated block for vmfs

2012-04-19  Thomas Tsai  <thomas@nchc.org.tw>

	update control for vmfs

2012-04-18  Thomas Tsai  <thomas@nchc.org.tw>

	0.2.47

	update fresh done

	update fresh, add sleep in progress thread to reduce cpu usage, contributed and bug information from http://sourceforge.net/tracker/?func=detail&aid=3509757&group_id=115473&atid=671650

2012-04-12  Thomas Tsai  <thomas@nchc.org.tw>

	change row to raw, noticed from Vincent van Adrighem

	try to fix ID: 3509757 from clonezilla track system

2012-04-01  Thomas Tsai  <thomas@nchc.org.tw>

	update vmfs5

2012-03-29  Thomas Tsai  <thomas@nchc.org.tw>

	remove vmfs5clone.c

2012-03-28  Thomas Tsai  <thomas@nchc.org.tw>

	update for vmfs-tool 0.2.5

	come back

	Merge branch 'master' of partclone.nchc.org.tw:/home/partclone

	update for vmfs-tool 0.2.5

	Merge branch 'fixcrc'

	remove new crc and accept vmfs5

	update for vmfs-tool 0.2.5

2012-03-27  Thomas Tsai  <thomas@nchc.org.tw>

	crc32

2012-02-17  Matthew Booth  <mbooth@redhat.com>

	Make crc32() explicitly 32 bit

	Remove redundant copy of crc_buffer

	Allocate crc_buffer on the stack
	Avoid repeated malloc/free of a 4 byte buffer by allocating crc_buffer on the
	stack.

	Make constant string static const *const

	Minor log message cleanup

2012-02-11  Thomas Tsai  <thomas@nchc.org.tw>

	add partclone.vmfs5 ignored

	update vmfs5

2012-02-09  Thomas Tsai  <thomas@nchc.org.tw>

	add vmfs5clone.c to clone vmfs5 update vmfs5 update makefile to create partclone.vmfs5

2012-02-08  Thomas Tsai  <thomas@nchc.org.tw>

	0.2.46

	* accept patch from Rommer to update memory usage

	* update document, some example error. * update vmfsclone to backup vmfs5 well

2012-01-28  Thomas Tsai  <thomas@nchc.org.tw>

	merge

	update manpages

2012-01-18  Thomas Tsai  <thomas@nchc.org.tw>

	add compatibility of vmfs3 and vmfs5

2012-01-17  Thomas Tsai  <thomas@nchc.org.tw>

	print vmfs version from fstype

	update pui for mode dev-yo-dev

2012-01-05  Thomas Tsai  <thomas@nchc.org.tw>

	update for vmfs

2011-12-27  Thomas Tsai  <thomas@nchc.org.tw>

	0.2.43

	add option B to disable block detail

	0.2.42

	add finish progress to dd

	0.2.41

	add thread to dd, restore and chkimg

2011-12-26  Thomas Tsai  <thomas@nchc.org.tw>

	add thread to display progress, draft

	update progress bar

2011-12-23  Thomas Tsai  <thomas@nchc.org.tw>

	add block status

	update progress seeking at 100%

2011-12-12  Thomas Tsai  <thomas@nchc.org.tw>

	update version to "1.0" at ntfsfixboot.c line 218

	0.2.39

	update ntfsfixboot.c to version 1.0

2011-11-25  Thomas Tsai  <thomas@nchc.org.tw>

	0.2.38

	update for progress

2011-11-23  Thomas Tsai  <thomas@nchc.org.tw>

	update for makefile for ncursesw

	release 0.2.37

	add -I/usr/include/ncursesw/

2011-11-09  Thomas Tsai  <thomas@nchc.org.tw>

	0.2.36

	update ncurses size

2011-11-02  Thomas Tsai  <thomas@nchc.org.tw>

	update toolbox

	update toolbox

	update toolbox

	update toolbox

	update

2011-11-01  Thomas Tsai  <thomas@nchc.org.tw>

	move partclone.spec to README.Packages/partclone.spec

	remove debian

	add debian

	update TODO

	re remove debian

	add debian

	update version script

	save last changelog ($version)

	update control for debian-sid

	move debian folder to README.Packages as sample

2011-10-31  Thomas Tsai  <thomas@nchc.org.tw>

	update autoconf and automake for squeeze

2011-10-27  Thomas Tsai  <thomas@nchc.org.tw>

	update script folder done

	update debain/control

	re release 0.2.33

	update test script

2011-10-27  root  <root@debian.(none)>

	update memory mangment

	update memory managment

2011-10-26  root  <root@debian.(none)>

	update ncurses

2011-10-26  Thomas Tsai  <thomas@nchc.org.tw>

	test ncurses progress bar

2011-10-25  Thomas Tsai  <thomas@nchc.org.tw>

	update 0.2.33

2011-10-19  Thomas Tsai  <thomas@nchc.org.tw>

	release 0.2.32

	update test script

	add bitmap.h

2011-10-18  Thomas Tsai  <thomas@nchc.org.tw>

	accept patch from Rommer

2011-10-12  Thomas Tsai  <thomas@nchc.org.tw>

	release 0.2.31

2011-10-13  Thomas Tsai  <thomas@nchc.org.tw>

	update for vmfs5

2011-10-11  Thomas Tsai  <thomas@nchc.org.tw>

	patch vmfs and release

	patch for new vmfs library

2011-09-14  Thomas Tsai  <thomas@nchc.org.tw>

	performance issue from Randy Syring "I came across something you may want to update: in get_image_bitmap() you loop through the blocks and increment bused and bfree.  However, those values are only used if debug >= 2.  Seems like that loop could be moved inside the if statement just below it."

2011-09-12  Thomas Tsai  <thomas@nchc.org.tw>

	release 0.2.29

2011-09-10  Thomas Tsai  <thomas@nchc.org.tw>

	release 0.2.29

2011-09-09  Thomas Tsai  <thomas@nchc.org.tw>

	make e2fs compact for squeeze

2011-09-05  Thomas Tsai  <thomas@nchc.org.tw>

	update configure

	update ncurses for sid

2011-08-30  Thomas Tsai  <thomas@nchc.org.tw>

	fix bug for reiserfs

	0.2.27

	0.2.27

	accept suggestion from Paul, many thanks

	Merge branch 'master' of partclone.nchc.org.tw:/home/partclone

	accept patches from Georges - 10-configure.ac.patch removes a flag '-static' in a compilation - 20-manpages fixes a few typos in manpages (s/sp1/sp 1/) - 30-fixIntTypes fixes a more subtle bug, it make the definition of   integer types more precise and architecture-agnostic. See     http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=636927

2011-08-18  Thomas Tsai  <thomas@nchc.org.tw>

	try to release dbg version

	update test script

	release 0.2.26 stable

	update help description

	update test script

2011-08-17  Thomas Tsai  <thomas@nchc.org.tw>

	add dbg package

	script can do basic test for developer

	initial extra test script

2011-08-14  Thomas Tsai  <thomas@nchc.org.tw>

	Merge branch 'master' of ssh://partclone.nchc.org.tw/home/partclone

2011-08-15  Thomas Tsai  <thomas@nchc.org.tw>

	release version 0.2.25

	update for e2fslibs 1.42~WIP-2011-07-02

2011-08-14  Thomas Tsai  <thomas@nchc.org.tw>

	release version 0.2.25 update configure.ac for new e2fslibrary

2011-08-01  Thomas Tsai  <thomas@nchc.org.tw>

	compact ntfs and ntfs-3g

2011-07-28  Thomas Tsai  <thomas@nchc.org.tw>

	add ntfs-3g library support for ntfs accept patch from Arkadiusz Patyk because In PLD Linux now we switch from ntfsprog to ntfs-3g. update patch and try to keep ntfsprogs.

2011-05-24  Thomas Tsai  <thomas@nchc.org.tw>

	release 0.2.4 with deb file

	    * accept patch from Ian Abbott.     * Ian Abbott realized it would be quicker if it only copied the in-use     areas of the partition.  ddrescue has a '--domain-log=FILE' option which     can be used to restrict it to certain areas, so the problem is to create     such a domain log file to cover the areas used by the filesystem on the     partition.     ... check mail list to get more details...

2011-05-14  Thomas Tsai  <thomas@nchc.org.tw>

	Merge branch '0.2.8-update' of partclone.nchc.org.tw:/home/partclone into 0.2.8-update

	add docbook style manpages : partclone.xxx.xml

2011-04-28  Thomas Tsai  <thomas@nchc.org.tw>

	update test script

	add chkimg test

	add test

2011-04-22  Thomas Tsai  <thomas@nchc.org.tw>

	lost xxxfs.8

	add template man page for all file system

	update marco so

	release 0.2.23 for better manpages

2011-04-13  Thomas Tsai  <thomas@nchc.org.tw>

	update gitignore

	update manual as link

	update manual

	update man

2011-03-28  Thomas Tsai  <thomas@nchc.org.tw>

	0.2.22 release

	typo error for progress

2011-03-22  Thomas Tsai  <thomas@nchc.org.tw>

	release version 0.2.21

	fix bug for partclone.dd

2011-03-21  Thomas Tsai  <thomas@nchc.org.tw>

	Merge branch '0.2.8-update' of partclone.nchc.org.tw:/home/partclone into 0.2.8-update

	fix bug for partclone.dd

2011-03-17  Thomas Tsai  <thomas@nchc.org.tw>

	release 0.2.20

2011-03-14  Thomas Tsai  <thomas@nchc.org.tw>

	fix partclone.dd / partclone.restore hard to show right message for stdin data. We use target size as source size for the special case.

2011-03-09  Thomas Tsai  <thomas@nchc.org.tw>

	0.2.19: fixbug: progress fail when just 10 block restore

	release 0.2.19

	update makefile for btrfs

2011-02-18  Thomas Tsai  <thomas@nchc.org.tw>

	    * add option max_block_cache to get better performance escpcially small block size(fat)     * update typo error     * Version 0.2.18

2011-01-25  Thomas Tsai  <thomas@nchc.org.tw>

	update ChangeLog

	fix ufs error

	update ext4 mismatch and new release version

2011-01-18  Thomas Tsai  <thomas@nchc.org.tw>

	fix commit: replace reiserfs with ntfs, thanks for Marcos Felipe Rasia de Mello

2011-01-13  Thomas Tsai  <thomas@nchc.org.tw>

	fix bug for ufs unclean

2010-11-02  Thomas Tsai  <thomas@nchc.org.tw>

	update POs

2010-11-01  Thomas Tsai  <thomas@nchc.org.tw>

	Fix configure.ac and makefile.am and accept patchs from Cedric OLLIVIER ollivier.cedric _at_ gmail.com.

2010-10-06  Thomas Tsai  <thomas@nchc.org.tw>

	update version 0.2.16

	* add option --quiet to disable progress bar * add option --restoew_row_file to restore to special row file for loop device

2010-09-01  Thomas Tsai  <thomas@nchc.org.tw>

	fix btrfs bug

	fix btrfs clone

	lost update some files

	update version and add fr_FR locale

2010-08-31  Thomas Tsai  <thomas@nchc.org.tw>

	Bug fixed: btrfs clone fail, lost some metadata message

2010-08-22  Thomas Tsai  <thomas@nchc.org.tw>

	update changelog

	update version

	release test version

	remove other btfs files

	add btrfs support

2010-07-28  Thomas Tsai  <thomas@nchc.org.tw>

	fix buf for jfsclone

	autoreconf

	  * add link partclone.VMFS_volume_member   * fix bug: jfsclone segfault   * add debian/control pkg-config

2010-07-01  Thomas Tsai  <thomas@nchc.org.tw>

	fix bug of jfsclone

	fix jfs: set unknown status bock as used

	fix bug for jfs_logform

2010-06-30  Thomas Tsai  <thomas@nchc.org.tw>

	update changelog

	update makefile.am for jfs

	remove jfs_devices.h jfs_devices.c update version to 0.2.12 add libjfs to control file and get libjfs...deb from partclone.nchc.org.tw/download/misc/

2010-06-29  Thomas Tsai  <thomas@nchc.org.tw>

	add support for jfs

2010-06-09  Thomas Tsai  <thomas@nchc.org.tw>

	update debian/changlog

	update to 0.2.11

	add Build-Depends libvmfs fix xfsclone.c: conflicting types for ‘set_bitmap’

2010-05-19  Thomas Tsai  <thomas@nchc.org.tw>

	release testing 0.2.10

	remove one not necessary message

	release 0.2.10 for xfsclone

2010-05-15  thomas  <thomas@T17.(none)>

	* update xfsclone.c

2010-05-11  thomas  <thomas@T17.(none)>

	* try to merge from new xfs clone

	* replace memcpy to strncpy to avoid accessing memory beyond string terminator * and patch from  Andre Przywara <osp@andrep.de>, many thanks.

	fix bug about chkimg fail

2010-04-29  thomas  <thomas@T17.(none)>

	* release 0.2.9

	fix bug: alloc double memory for bitmap when restore. fix bug: bitmap error for over 8.7T partition backup and restore.

2010-04-23  thomas  <thomas@T17.(none)>

	fix xfsclone error

2010-04-12  Thomas Tsai  <thomas@nchc.org.tw>

	initial new xfsclone

2010-04-01  Thomas Tsai  <thomas@nchc.org.tw>

	fix about: extfsclone do fs_check and report error message when mounted times larger than fs default, but error message lost report mounted times.

2010-03-29  Thomas Tsai  <thomas@nchc.org.tw>

	update version to 0.2.8

	* make progress bar update faster

	* fix progress to make calculating bitmap takes faster

2010-03-16  Thomas Tsai  <thomas@nchc.org.tw>

	add git ignore files and fix toolbox to create right git commit hash

	update progress bar

2010-03-15  Thomas Tsai  <thomas@nchc.org.tw>

		* update version to 0.2.6

	    * try to fix progress rate     * also change to partclone.c to fix print_readable_size 	modified:   src/partclone.c 	modified:   src/progress.c

2010-03-12  Thomas Tsai  <thomas@nchc.org.tw>

	update size number

	show partition size more cleanly

	Merge branch 'master' of partclone.nchc.org.tw:/home/partclone

2010-03-12  thomas  <thomas@T17.(none)>

	    * fix rate = 0, hide the size for bitmap only.     * print readable size     * update version     * update changelog

2010-03-11  thomas  <thomas@T17.(none)>

	    * fix rate = 0, hide the size for bitmap only.     * print readable size     * update version

2010-03-10  Thomas Tsai  <thomas@nchc.org.tw>

	update deb changelog

	set version to 0.2.4

	add export version

2010-03-10  thomas  <thomas@T17.(none)>

	        add git revision by attribute 	update process inf error 	new file:   .gitattributes 	modified:   src/progress.c 	modified:   src/version.h

2010-03-02  Thomas Tsai  <thomas@nchc.org.tw>

	add -v option to display VERSION and git version

	remove unnecessary code

2010-03-01  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	        try to build package via git build package 	modified:   ChangeLog 	modified:   debian/changelog 	modified:   po/partclone.pot 	modified:   po/zh_TW.gmo 	modified:   po/zh_TW.po 	modified:   toolbox
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@363 93b75dfe-da2d-4241-a08d-2141769abc04

	~ update message of fstype ~ replace to git repository ~ update version display ~ add gitlog-to-changelog to convert git log to ChangeLog
	On branch master
	Changes to be committed:
		new file:   gitlog-to-changelog
		modified:   ChangeLog
		modified:   configure
		modified:   configure.ac
		modified:   src/chkimg.c
		modified:   src/fstype.c
		modified:   src/partclone.c
		modified:   src/version.h
		modified:   toolbox

	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@362 93b75dfe-da2d-4241-a08d-2141769abc04

	update version number 	modified:   Makefile.am 	modified:   Makefile.in 	modified:   configure 	modified:   configure.ac 	modified:   src/Makefile.am 	modified:   src/Makefile.in 	modified:   src/version.h
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@361 93b75dfe-da2d-4241-a08d-2141769abc04

2010-02-24  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	* add fstype.c to test vmfs filesystem like blkid do.   We can run partclone.fstype to detect partition is vmfs or not, just run   _$ ./partclone.fstype /dev/sda1   type: vmfs
	  if partition is vmfs, fstype return string "type: vmfs" with exit "0". if not vmfs you can find reason with exit 1.

	* update files:
		modified:   configure
		modified:   src/Makefile.am
		modified:   src/Makefile.in
		new file:   src/fstype.c

	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@360 93b75dfe-da2d-4241-a08d-2141769abc04

2010-02-14  steven  <steven@93b75dfe-da2d-4241-a08d-2141769abc04>

	Pack the release for 0.2.0-2.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@359 93b75dfe-da2d-4241-a08d-2141769abc04

2010-01-27  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	* add vmfs check to autoconf * update vmfsclone 	modified:   Makefile.in 	modified:   aclocal.m4 	modified:   config.h.in 	modified:   configure 	modified:   configure.ac 	modified:   docs/Makefile.in 	modified:   po/zh_TW.gmo 	modified:   po/zh_TW.po 	modified:   src/Makefile.am 	modified:   src/Makefile.in 	modified:   src/version.h 	modified:   src/vmfsclone.c
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@358 93b75dfe-da2d-4241-a08d-2141769abc04

2010-01-22  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	The vmfsclone initial version. Just a experimental one can clone/restore vmfs partition. Thanks for vmfs-tools author, mike and cf. The vmfsclone shoud be keep update and do more testing.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@357 93b75dfe-da2d-4241-a08d-2141769abc04

2010-01-19  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	* lose log mesg about bitmap_size and ntfs->lcnbmp_na->data_size data.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@356 93b75dfe-da2d-4241-a08d-2141769abc04

2010-01-18  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	translate and smal update progress bar. 	modified:   po/partclone.pot 	modified:   po/zh_TW.gmo 	modified:   po/zh_TW.po 	modified:   src/progress.c
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@355 93b75dfe-da2d-4241-a08d-2141769abc04

	update progress bar stop value. 	modified:   src/ddclone.c 	modified:   src/main.c 	modified:   src/restore.c
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@354 93b75dfe-da2d-4241-a08d-2141769abc04

	update progress bar. the new progress update by time. 	modified:   src/ddclone.c 	modified:   src/main.c 	modified:   src/progress.c 	modified:   src/progress.h 	modified:   src/restore.c
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@353 93b75dfe-da2d-4241-a08d-2141769abc04

	update ntfsclone-ng.c, accept and test the ntfs readbitmap patch, it's contributed  by javor. Thank you.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@352 93b75dfe-da2d-4241-a08d-2141769abc04

2010-01-12  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	update progress.c to fix avg rate number.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@351 93b75dfe-da2d-4241-a08d-2141769abc04

	update progress bug, real done when finish procress.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@350 93b75dfe-da2d-4241-a08d-2141769abc04

2010-01-08  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	* check the result of ntfs function call.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@349 93b75dfe-da2d-4241-a08d-2141769abc04

	* update image_hdr for initializing.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@348 93b75dfe-da2d-4241-a08d-2141769abc04

2010-01-07  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	* update version * initial image_hdr first  Please enter the commit message for your changes. Lines starting  with '#' will be ignored, and an empty message aborts the commit.  On branch initial_image_hdr  Changes to be committed:    (use "git reset HEAD <file>..." to unstage)
		modified:   configure
		modified:   configure.ac
		modified:   debian/changelog
		modified:   po/partclone.pot
		modified:   po/zh_TW.gmo
		modified:   po/zh_TW.po
		modified:   src/main.c
		modified:   src/progress.c

	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@347 93b75dfe-da2d-4241-a08d-2141769abc04

2010-01-06  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	* add mtrace for debug * fix partclone.ntfs free/fs_close error, thank Javor   reference: http://sourceforge.net/mailarchive/forum.php?thread_name=8e45d0591001051533n1378e8acvcbfd59c77ebca0de%40mail.gmail.com&forum_name=partclone-user * fix some memory leak problem.
		modified:   src/main.c
		modified:   src/ntfsclone-ng.c
		modified:   src/partclone.c
		modified:   src/version.h

	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@346 93b75dfe-da2d-4241-a08d-2141769abc04

2010-01-05  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	make sure progress bar show 100%.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@345 93b75dfe-da2d-4241-a08d-2141769abc04

2009-11-25  steven  <steven@93b75dfe-da2d-4241-a08d-2141769abc04>

	Updated for 0.1.9-5.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@344 93b75dfe-da2d-4241-a08d-2141769abc04

2009-11-19  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	try to fix hfsplus error for 2 or more extents.
		modified:   hfsplusclone.c

	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@343 93b75dfe-da2d-4241-a08d-2141769abc04

2009-11-16  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	update version number
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@342 93b75dfe-da2d-4241-a08d-2141769abc04

	add control for ufs add changelog
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@341 93b75dfe-da2d-4241-a08d-2141769abc04

	* update progress bar lang translation. * update ufs as default enabled file system. 	modified:   configure 	modified:   configure.ac 	modified:   po/partclone.pot 	modified:   po/zh_TW.gmo 	modified:   po/zh_TW.po
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@340 93b75dfe-da2d-4241-a08d-2141769abc04

	test progress 1
		modified:   src/progress.c

	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@339 93b75dfe-da2d-4241-a08d-2141769abc04

2009-11-03  steven  <steven@93b75dfe-da2d-4241-a08d-2141769abc04>

	partclone (0.1.9-3) unstable; urgency=low
	  [ Yu-Chin Tsai  ]
	  * An option to ignore CRC checking was added.


	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@338 93b75dfe-da2d-4241-a08d-2141769abc04

2009-11-02  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	    update ignore_crc in main.c     add ignore_crc to restore.c     DON'T IGNORE CRC in 64BIT IMAGE !!!
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@337 93b75dfe-da2d-4241-a08d-2141769abc04

2009-10-09  steven  <steven@93b75dfe-da2d-4241-a08d-2141769abc04>

	Updated changelog for partclone 0.1.9-2.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@336 93b75dfe-da2d-4241-a08d-2141769abc04

2009-10-06  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	update log message and open fail message for ufsclone. Thank dswartz for testing ufs backup and report. 	modified:   src/ufsclone.c
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@335 93b75dfe-da2d-4241-a08d-2141769abc04

2009-10-02  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	bug fix for ufscline
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@334 93b75dfe-da2d-4241-a08d-2141769abc04

	update option value
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@333 93b75dfe-da2d-4241-a08d-2141769abc04

	add ignore fschk for xfs. 	modified:   xfsclone.c
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@332 93b75dfe-da2d-4241-a08d-2141769abc04

2009-09-27  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	add option Ignore_crc, but need more test. fix bug of --rescue update malloc for I/O performance
		modified:   src/ddclone.c
		modified:   src/main.c
		modified:   src/partclone.c
		modified:   src/partclone.h
		modified:   src/restore.c
		modified:   src/version.h

	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@331 93b75dfe-da2d-4241-a08d-2141769abc04

2009-09-22  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	add ufs include dir  On branch master
		new file:   ufs/ffs/fs.h
		new file:   ufs/libufs.h
		new file:   ufs/sys/disklabel.h
		new file:   ufs/ufs/dinode.h
		new file:   ufs/ufs/fs.h

	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@330 93b75dfe-da2d-4241-a08d-2141769abc04

	update ufsclone merge error.  On branch master  Changes to be committed: 	modified:   src/ufsclone.c
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@329 93b75dfe-da2d-4241-a08d-2141769abc04

	fix hfsplus message 	modified:   src/hfsplusclone.c
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@328 93b75dfe-da2d-4241-a08d-2141769abc04

	update fs log message. add ignore option to all supported file system.
	 Changes to be committed:
	   (use "git reset HEAD <file>..." to unstage)

		modified:   extfsclone.c
		modified:   fatclone.c
		modified:   hfsplusclone.c
		modified:   ntfsclone-ng.c
		modified:   reiser4clone.c
		modified:   reiserfsclone.c
		modified:   ufsclone.c
		modified:   xfsclone.c

	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@327 93b75dfe-da2d-4241-a08d-2141769abc04

	ignore fschk fro extfs 	modified:   extfsclone.c
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@326 93b75dfe-da2d-4241-a08d-2141769abc04

	New feature: ignore file system check for reiserfs, -I or --ignore_fschk.  On branch log  Changes to be committed: 	new file:   fs_common.h 	modified:   main.c 	modified:   partclone.c 	modified:   partclone.h 	modified:   reiserfsclone.c
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@325 93b75dfe-da2d-4241-a08d-2141769abc04

2009-09-18  steven  <steven@93b75dfe-da2d-4241-a08d-2141769abc04>

	updated for 0.1.9-1.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@324 93b75dfe-da2d-4241-a08d-2141769abc04

2009-09-17  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	update changelog to test svn-buildpackage
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@323 93b75dfe-da2d-4241-a08d-2141769abc04

	* update version * update log
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@322 93b75dfe-da2d-4241-a08d-2141769abc04

2009-09-14  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	ufs test ok.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@321 93b75dfe-da2d-4241-a08d-2141769abc04

	 update for checking ufs status.
	 Committer: thomas <thomas@T17.(none)>

	 On branch master
	 Changes to be committed:
	   (use "git reset HEAD <file>..." to unstage)

		modified:   src/ufsclone.c
		modified:   src/ufsclone.h

	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@320 93b75dfe-da2d-4241-a08d-2141769abc04

	update configure.ac
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@319 93b75dfe-da2d-4241-a08d-2141769abc04

	 Committer: thomas <thomas@T17.(none)>
	 On branch master
	 Changes to be committed:
	   (use "git reset HEAD <file>..." to unstage)

		modified:   src/xfsclone.c
		bug fix for xfs clone fail.

	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@318 93b75dfe-da2d-4241-a08d-2141769abc04

2009-09-07  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	add autotool script for ufs. The option --enable-all not include ufs right now.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@317 93b75dfe-da2d-4241-a08d-2141769abc04

2009-09-03  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	first time ufs back/restore successfully.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@316 93b75dfe-da2d-4241-a08d-2141769abc04

	update automake andd ufsclone
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@315 93b75dfe-da2d-4241-a08d-2141769abc04

	Merge 140.110.240.52:/home/partimag/workspace/partclone
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@314 93b75dfe-da2d-4241-a08d-2141769abc04

2009-08-10  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	update version function update usage
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@313 93b75dfe-da2d-4241-a08d-2141769abc04

	update svn version
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@312 93b75dfe-da2d-4241-a08d-2141769abc04

2009-08-09  steven  <steven@93b75dfe-da2d-4241-a08d-2141769abc04>

	    * Bug fixed: FAT clone failure was fixed.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@311 93b75dfe-da2d-4241-a08d-2141769abc04

2009-07-31  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	update fat problem! fix bug about fat clone fail.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@310 93b75dfe-da2d-4241-a08d-2141769abc04

2009-06-24  steven  <steven@93b75dfe-da2d-4241-a08d-2141769abc04>

	updated for 0.1.1-15.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@309 93b75dfe-da2d-4241-a08d-2141769abc04

	updated for 0.1.1-15
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@308 93b75dfe-da2d-4241-a08d-2141769abc04

2009-06-24  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	remove Makefile
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@307 93b75dfe-da2d-4241-a08d-2141769abc04

2009-06-24  steven  <steven@93b75dfe-da2d-4241-a08d-2141769abc04>

	updated for version 0.1.1-14.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@306 93b75dfe-da2d-4241-a08d-2141769abc04

2009-06-24  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	update makefile for version.h
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@305 93b75dfe-da2d-4241-a08d-2141769abc04

2009-06-19  steven  <steven@93b75dfe-da2d-4241-a08d-2141769abc04>

	Updated for version 0.1.1-13.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@304 93b75dfe-da2d-4241-a08d-2141769abc04

2009-06-19  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	Merge branch 'test'
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@303 93b75dfe-da2d-4241-a08d-2141769abc04

	Merge branch 'test'
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@302 93b75dfe-da2d-4241-a08d-2141769abc04

	Merge branch 'test'
	Conflicts:
		partclone/src/version.c

	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@301 93b75dfe-da2d-4241-a08d-2141769abc04

2009-06-17  steven  <steven@93b75dfe-da2d-4241-a08d-2141769abc04>

	Updated for version 0.1.1-12.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@300 93b75dfe-da2d-4241-a08d-2141769abc04

	Updated for version 0.1.1-12.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@299 93b75dfe-da2d-4241-a08d-2141769abc04

2009-06-16  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	update Makefile in debian lenny update src/chkimg.c
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@298 93b75dfe-da2d-4241-a08d-2141769abc04

	add option --logfile or -L to specify file for log message. update Makefile for chkimg
		modified:   Makefile.in
		modified:   aclocal.m4
		modified:   configure
		modified:   docs/Makefile.in
		new file:   src/Makefile
		modified:   src/chkimg.c
		new file:   src/config.h
		modified:   src/ddclone.c
		modified:   src/infoclone.c
		modified:   src/main.c
		modified:   src/partclone.c
		modified:   src/partclone.h
		modified:   src/restore.c

	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@297 93b75dfe-da2d-4241-a08d-2141769abc04

	The partclone.chkimg could help you check img by CRC. 	modified:   src/Makefile.am 	modified:   src/Makefile.in 	new file:   src/chkimg.c
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@296 93b75dfe-da2d-4241-a08d-2141769abc04

2009-06-13  steven  <steven@93b75dfe-da2d-4241-a08d-2141769abc04>

	Updated for version 0.1.1-11.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@295 93b75dfe-da2d-4241-a08d-2141769abc04

2009-06-10  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	update clear_buf
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@294 93b75dfe-da2d-4241-a08d-2141769abc04

	accept patch from Kristian Erik Hermansen. fix progress.c:152 SECURITY: fprintf call should have "%s" as argument 1
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@293 93b75dfe-da2d-4241-a08d-2141769abc04

2009-06-10  steven  <steven@93b75dfe-da2d-4241-a08d-2141769abc04>

	Updated for 0.1.1-10.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@292 93b75dfe-da2d-4241-a08d-2141769abc04

2009-06-09  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	update pointer problem
		modified:   src/progress.c
	    modified:   src/restore.c

	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@291 93b75dfe-da2d-4241-a08d-2141769abc04

	update message and hfsplus
		modified:   src/hfsplusclone.c
		modified:   src/main.c
		modified:   src/version.c

	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@290 93b75dfe-da2d-4241-a08d-2141769abc04

	try to fix hfsplus problem-1 	modified:   src/hfsplusclone.c
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@289 93b75dfe-da2d-4241-a08d-2141769abc04

2009-06-08  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	update tmp_str scale to 512. tkx Kristian Erik Hermansen <kristian.hermansen@gmail.com> and Piavlo <piavka@cs.bgu.ac.il> Re: [Clonezilla-user] partclone v0.1.0 - buffer overflow detected
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@288 93b75dfe-da2d-4241-a08d-2141769abc04

	remove message done!
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@287 93b75dfe-da2d-4241-a08d-2141769abc04

2009-06-02  steven  <steven@93b75dfe-da2d-4241-a08d-2141769abc04>

	    * Some output messages were polished again.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@286 93b75dfe-da2d-4241-a08d-2141769abc04

	Output messages of restoring were updated.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@285 93b75dfe-da2d-4241-a08d-2141769abc04

	Output message when restoring will be shown as "Please wait... done!"
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@284 93b75dfe-da2d-4241-a08d-2141769abc04

	Updated for version 0.1.1-8.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@283 93b75dfe-da2d-4241-a08d-2141769abc04

2009-06-02  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	update message for restore
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@282 93b75dfe-da2d-4241-a08d-2141769abc04

	update: add "done" after "please wait"
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@281 93b75dfe-da2d-4241-a08d-2141769abc04

	update: add new line after Please wait... 	modified:   main.c
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@280 93b75dfe-da2d-4241-a08d-2141769abc04

2009-06-01  steven  <steven@93b75dfe-da2d-4241-a08d-2141769abc04>

	Updated for 0.1.1-7.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@279 93b75dfe-da2d-4241-a08d-2141769abc04

	updated for partclone 0.1.1-7.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@278 93b75dfe-da2d-4241-a08d-2141769abc04

2009-06-01  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	fix bug for progress update with nogui add "Calculating bitmap..." without -d option
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@277 93b75dfe-da2d-4241-a08d-2141769abc04

2009-05-30  steven  <steven@93b75dfe-da2d-4241-a08d-2141769abc04>

	Updated for version 0.1.1-6
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@276 93b75dfe-da2d-4241-a08d-2141769abc04

2009-05-28  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	update for 64 bit I found a crc problem and should be fix in the next image version.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@275 93b75dfe-da2d-4241-a08d-2141769abc04

	update crc in 64 bit image problem again...
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@274 93b75dfe-da2d-4241-a08d-2141769abc04

2009-05-27  steven  <steven@93b75dfe-da2d-4241-a08d-2141769abc04>

	Updated for 0.1.1-5.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@273 93b75dfe-da2d-4241-a08d-2141769abc04

2009-05-27  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	bug of time calculating
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@272 93b75dfe-da2d-4241-a08d-2141769abc04

2009-05-27  steven  <steven@93b75dfe-da2d-4241-a08d-2141769abc04>

	Updated for version 0.1.1-4.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@271 93b75dfe-da2d-4241-a08d-2141769abc04

	    * Update default RES from 10000 to 1000.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@270 93b75dfe-da2d-4241-a08d-2141769abc04

2009-05-27  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	update default RES from 10000 to 1000
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@269 93b75dfe-da2d-4241-a08d-2141769abc04

2009-05-27  steven  <steven@93b75dfe-da2d-4241-a08d-2141769abc04>

	updated for 0.1.1-3
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@268 93b75dfe-da2d-4241-a08d-2141769abc04

2009-05-27  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	test for open block file
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@267 93b75dfe-da2d-4241-a08d-2141769abc04

2009-05-22  steven  <steven@93b75dfe-da2d-4241-a08d-2141769abc04>

	updated for 0.1.1-2
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@266 93b75dfe-da2d-4241-a08d-2141769abc04

	updated for partclone (0.1.1-2).
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@265 93b75dfe-da2d-4241-a08d-2141769abc04

2009-05-22  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	add link of partclone.ntfsreloc
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@264 93b75dfe-da2d-4241-a08d-2141769abc04

	It's possible to create new file as target for restore after this commit...
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@263 93b75dfe-da2d-4241-a08d-2141769abc04

2009-05-21  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	add argument -f, --UI-fresh to set fresh time of progress bar ex: -f 10 // set fresh progress per 10*100 blocks The default fresh is 10000...
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@262 93b75dfe-da2d-4241-a08d-2141769abc04

	update for xfs progress
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@261 93b75dfe-da2d-4241-a08d-2141769abc04

	pre release...
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@260 93b75dfe-da2d-4241-a08d-2141769abc04

	update CRC read error message
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@259 93b75dfe-da2d-4241-a08d-2141769abc04

	update progress init
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@258 93b75dfe-da2d-4241-a08d-2141769abc04

2009-05-20  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	update for pui
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@257 93b75dfe-da2d-4241-a08d-2141769abc04

	* update version
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@256 93b75dfe-da2d-4241-a08d-2141769abc04

	* add progress for bitmap * update structure of progress * update structure of Ncurses...
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@255 93b75dfe-da2d-4241-a08d-2141769abc04

	* Before this commit, partclone restore fail from 64 bit img to 32 bit. It's because the size of Unsigned long is 8 bytes in 64 bit, and 4 bytes in 32 bit partclone.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@254 93b75dfe-da2d-4241-a08d-2141769abc04

	update crc test
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@253 93b75dfe-da2d-4241-a08d-2141769abc04

2009-05-19  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	* display progress bar when readbitmap * normalize update time, but could be better
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@252 93b75dfe-da2d-4241-a08d-2141769abc04

	test progress of bitmap
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@251 93b75dfe-da2d-4241-a08d-2141769abc04

2009-05-14  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	  * add print_partclone_info()   * add more informatio to stderr   * check all utilities work right
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@250 93b75dfe-da2d-4241-a08d-2141769abc04

	add more information to know the process
		modified:   main.c
		modified:   partclone.c

	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@249 93b75dfe-da2d-4241-a08d-2141769abc04

2009-05-05  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	remove ntfsreloc
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@248 93b75dfe-da2d-4241-a08d-2141769abc04

	add ntfsfixboot.c from http://cc.jct.ac.il/~shaneh/ntfsfixboot.c
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@247 93b75dfe-da2d-4241-a08d-2141769abc04

2009-05-01  steven  <steven@93b75dfe-da2d-4241-a08d-2141769abc04>

	updated for 0.1.0-10.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@246 93b75dfe-da2d-4241-a08d-2141769abc04

	    * Bug fixed: clonezilla-Bugs-2784676. Thanks to njorl _at_ users sourceforge net.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@245 93b75dfe-da2d-4241-a08d-2141769abc04

	changelog updated for bug fixed: clonezilla-Bugs-2784676. Thanks to njorl _at_ users sourceforge net.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@244 93b75dfe-da2d-4241-a08d-2141769abc04

2009-05-01  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	update for fs_open
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@243 93b75dfe-da2d-4241-a08d-2141769abc04

2009-04-29  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	update po
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@242 93b75dfe-da2d-4241-a08d-2141769abc04

2009-04-27  steven  <steven@93b75dfe-da2d-4241-a08d-2141769abc04>

	zh_TW po related files were updated.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@241 93b75dfe-da2d-4241-a08d-2141769abc04

2009-04-26  steven  <steven@93b75dfe-da2d-4241-a08d-2141769abc04>

	version.c automatically updated for 0.1.0-9.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@240 93b75dfe-da2d-4241-a08d-2141769abc04

	Changelogs were updated for 0.1.0-9.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@239 93b75dfe-da2d-4241-a08d-2141769abc04

2009-04-25  steven  <steven@93b75dfe-da2d-4241-a08d-2141769abc04>

	Output message "clone successfully" was changed as "Cloned successfully.".
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@238 93b75dfe-da2d-4241-a08d-2141769abc04

2009-04-24  steven  <steven@93b75dfe-da2d-4241-a08d-2141769abc04>

	Updated for 0.1.0-8.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@237 93b75dfe-da2d-4241-a08d-2141769abc04

2009-04-24  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	add EXECNAME
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@236 93b75dfe-da2d-4241-a08d-2141769abc04

2009-04-24  steven  <steven@93b75dfe-da2d-4241-a08d-2141769abc04>

	"clone successfully" was changed to "Successfully cloned."
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@235 93b75dfe-da2d-4241-a08d-2141769abc04

2009-04-23  steven  <steven@93b75dfe-da2d-4241-a08d-2141769abc04>

	updated for 0.1.0-7
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@234 93b75dfe-da2d-4241-a08d-2141769abc04

2009-04-23  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	add link partclone.ext4dev
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@233 93b75dfe-da2d-4241-a08d-2141769abc04

2009-04-18  steven  <steven@93b75dfe-da2d-4241-a08d-2141769abc04>

	Updated.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@232 93b75dfe-da2d-4241-a08d-2141769abc04

	Updated for version 0.1.0-6.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@231 93b75dfe-da2d-4241-a08d-2141769abc04

2009-04-17  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	fix partclone.restore can't get source data from pipe which is organized FS.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@230 93b75dfe-da2d-4241-a08d-2141769abc04

	update po files
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@229 93b75dfe-da2d-4241-a08d-2141769abc04

2009-04-16  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	update check fs type and error message for reiser4, reiserfs, xfs, ntfs and extfs.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@228 93b75dfe-da2d-4241-a08d-2141769abc04

2009-04-16  steven  <steven@93b75dfe-da2d-4241-a08d-2141769abc04>

	www.partclone.org was changed to partclone.org.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@227 93b75dfe-da2d-4241-a08d-2141769abc04

	Updated for partclone 0.1.0-5
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@226 93b75dfe-da2d-4241-a08d-2141769abc04

2009-04-16  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	* update ext2/3/4 message * fix bug, update check_size return value
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@225 93b75dfe-da2d-4241-a08d-2141769abc04

2009-04-16  steven  <steven@93b75dfe-da2d-4241-a08d-2141769abc04>

	Update chnagelog for release 0.1.0-4
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@224 93b75dfe-da2d-4241-a08d-2141769abc04

2009-04-16  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	update * EXECNAME in xxxclone.c * change description of dd-mode as dev-to-dev Local copy... * fix bug about get_partition size
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@223 93b75dfe-da2d-4241-a08d-2141769abc04

2009-04-15  steven  <steven@93b75dfe-da2d-4241-a08d-2141769abc04>

	    [ Thomas Tsai ]     * Bug fixed: partclone.ntfs statistics data was wrong when doing partition to partition clone.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@222 93b75dfe-da2d-4241-a08d-2141769abc04

2009-04-15  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	update xfs unknow to unknown
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@221 93b75dfe-da2d-4241-a08d-2141769abc04

	update #include
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@220 93b75dfe-da2d-4241-a08d-2141769abc04

	* update for #49, configure error with FC10 * try to fix ntfs used space
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@219 93b75dfe-da2d-4241-a08d-2141769abc04

2009-04-10  steven  <steven@93b75dfe-da2d-4241-a08d-2141769abc04>

	    * --enable-static is on again.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@218 93b75dfe-da2d-4241-a08d-2141769abc04

	* Disable static linking * e2fslibs-dev (>= 1.41.3) is required for partclone.ext4.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@217 93b75dfe-da2d-4241-a08d-2141769abc04

2009-04-10  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	add ext4 link again....
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@216 93b75dfe-da2d-4241-a08d-2141769abc04

2009-04-07  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	 r341@T-X61:  thomas | 2009-04-07 23:06:22 +0800  update Makefile.am: add pthread link for build static partclone.extfs with Debiab/lenny.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@215 93b75dfe-da2d-4241-a08d-2141769abc04

	update ChangeLog
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@214 93b75dfe-da2d-4241-a08d-2141769abc04

2009-04-03  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	update progress.c set default progress update threshold as 10. partclone update progress bar per 10 copied blocks. but the performance not speedup.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@213 93b75dfe-da2d-4241-a08d-2141769abc04

	test version for better performance: Idea 1: decrease the count of progress_update
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@212 93b75dfe-da2d-4241-a08d-2141769abc04

2009-04-01  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	The unstable version has merged to stable and move to backup. The testing is branch from stable.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@211 93b75dfe-da2d-4241-a08d-2141769abc04

2009-03-31  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	update make file * add partclone.ext4 link
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@210 93b75dfe-da2d-4241-a08d-2141769abc04

2009-03-12  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	update size of device and volume
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@209 93b75dfe-da2d-4241-a08d-2141769abc04

2009-03-05  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	merger from unstable
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@208 93b75dfe-da2d-4241-a08d-2141769abc04

	 r214@T-X61:  thomas | 2009-03-05 02:54:25 +0800  update configure by autoreconf  update partclone.c  * return 0 from io_all to check EOF  * can't vfprintf twice between va_start to va_end in log_mesg
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@207 93b75dfe-da2d-4241-a08d-2141769abc04

	update for va_start, make sure vsprintf is right for x86_64
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@206 93b75dfe-da2d-4241-a08d-2141769abc04

2009-03-04  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	update deplib_version.c to check library version
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@205 93b75dfe-da2d-4241-a08d-2141769abc04

	update configure for ext4
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@204 93b75dfe-da2d-4241-a08d-2141769abc04

	update configure.ac
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@203 93b75dfe-da2d-4241-a08d-2141769abc04

	back to r198
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@202 93b75dfe-da2d-4241-a08d-2141769abc04

	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@201 93b75dfe-da2d-4241-a08d-2141769abc04

	update for lib reiser4
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@200 93b75dfe-da2d-4241-a08d-2141769abc04

	add partclone.ext4
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@199 93b75dfe-da2d-4241-a08d-2141769abc04

	update confiure
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@198 93b75dfe-da2d-4241-a08d-2141769abc04

	 r201@T-X61:  thomas | 2009-03-04 00:46:06 +0800  test by svk
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@197 93b75dfe-da2d-4241-a08d-2141769abc04

2009-03-02  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	add unstable/src/deplib_version.c to replace unstable/src/ntfs_version.c update configure to check library version ex: reiser4, reiserfs, extfs and ntfs.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@196 93b75dfe-da2d-4241-a08d-2141769abc04

	add src/deplib_version.c to check library version for configuration. remove src/ntfs_version.c and cheange to use src/deplib_version.c .
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@195 93b75dfe-da2d-4241-a08d-2141769abc04

2009-02-05  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	create a unstable branch
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@194 93b75dfe-da2d-4241-a08d-2141769abc04

	update debug level
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@193 93b75dfe-da2d-4241-a08d-2141769abc04

	fix bug for bitmap
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@192 93b75dfe-da2d-4241-a08d-2141769abc04

	fix check_valid fs
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@191 93b75dfe-da2d-4241-a08d-2141769abc04

2009-02-04  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	try to fix bug of ext4
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@190 93b75dfe-da2d-4241-a08d-2141769abc04

2009-01-20  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	update restore.c to support restore stdin raw file
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@189 93b75dfe-da2d-4241-a08d-2141769abc04

2009-01-19  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	make partclone.dd can read stdin to restore date
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@188 93b75dfe-da2d-4241-a08d-2141769abc04

	update for ext4
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@187 93b75dfe-da2d-4241-a08d-2141769abc04

2009-01-16  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	add partclone.dd and partclone.restore. partclone.dd set all block as used and save/restore device to/from raw data. partclone.restore is used to restore device from raw data or image build from partclone.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@186 93b75dfe-da2d-4241-a08d-2141769abc04

2009-01-12  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	* add option force progress! use -F/--force to keep progress and just warrning for memory, disk and FS problem but dangerous. * add restore utility to restore any image which is made by partclone.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@185 93b75dfe-da2d-4241-a08d-2141769abc04

2008-12-30  steven  <steven@93b75dfe-da2d-4241-a08d-2141769abc04>

	    * A bug about FAT12 was fixed.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@184 93b75dfe-da2d-4241-a08d-2141769abc04

2008-12-29  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	update fat12 bug. The Fat 12 is ready now!
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@183 93b75dfe-da2d-4241-a08d-2141769abc04

2008-12-25  steven  <steven@93b75dfe-da2d-4241-a08d-2141769abc04>

	    * New upstream ntfsreloc.c 0.8.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@182 93b75dfe-da2d-4241-a08d-2141769abc04

2008-12-22  steven  <steven@93b75dfe-da2d-4241-a08d-2141769abc04>

	updated with 0.0.9-2.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@181 93b75dfe-da2d-4241-a08d-2141769abc04

	Updated for 0.0.9-2
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@180 93b75dfe-da2d-4241-a08d-2141769abc04

2008-12-03  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	update fatclone.c fatclone.h clearly. update dirty message for extfs.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@179 93b75dfe-da2d-4241-a08d-2141769abc04

2008-11-18  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	add check FAT filesystem before clone volume.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@178 93b75dfe-da2d-4241-a08d-2141769abc04

2008-11-17  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	add check hfs_plus filesystem before clone volume.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@177 93b75dfe-da2d-4241-a08d-2141769abc04

2008-11-11  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	check filesystem before clone partition. Partclone will make sure reiserfs, ext2/3/4, reiser4 and ntfs is clean before copy data. The check of fat, xfs and hfsplus is developing.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@176 93b75dfe-da2d-4241-a08d-2141769abc04

2008-11-07  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	update dirty message for ntfsclone-ng
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@175 93b75dfe-da2d-4241-a08d-2141769abc04

2008-10-30  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	* remove get_ntfs_version, and always compile get_ntfs_version by configure * make ntfsclone-ng.c support libntfs version 9 and 10 * never check used block between bitmap and super_block except option "-d2"
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@174 93b75dfe-da2d-4241-a08d-2141769abc04

	update for old libntfs(9) at debian etch
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@173 93b75dfe-da2d-4241-a08d-2141769abc04

	update configure to check ntfs_version
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@172 93b75dfe-da2d-4241-a08d-2141769abc04

	fix get_ntfs_version to get right version number
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@171 93b75dfe-da2d-4241-a08d-2141769abc04

2008-10-30  steven  <steven@93b75dfe-da2d-4241-a08d-2141769abc04>

	debian/changelog and README were updated.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@170 93b75dfe-da2d-4241-a08d-2141769abc04

2008-10-30  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	add man for ntfs
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@169 93b75dfe-da2d-4241-a08d-2141769abc04

2008-10-22  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	update ntfsclone upgrade version to 0.0.9
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@168 93b75dfe-da2d-4241-a08d-2141769abc04

2008-10-21  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	add src/ntfsreloc.c for partclone.ntfsreloc.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@167 93b75dfe-da2d-4241-a08d-2141769abc04

	update segmentation fail for log_mesg in X86_64.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@166 93b75dfe-da2d-4241-a08d-2141769abc04

2008-10-20  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	update configure to check libntfs version.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@165 93b75dfe-da2d-4241-a08d-2141769abc04

	Add get_ntfs_version, src/ntfs_version.c to check libntfs version. update src/ntfsclone-ng.c for bitmap bug
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@164 93b75dfe-da2d-4241-a08d-2141769abc04

2008-10-16  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	add ntfsreloc.c from linux-ntfs.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@163 93b75dfe-da2d-4241-a08d-2141769abc04

	try to support ntfs, the ntfsclone-ng is unstable now.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@162 93b75dfe-da2d-4241-a08d-2141769abc04

	try to support NTFS filesystem. unstable!!!
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@161 93b75dfe-da2d-4241-a08d-2141769abc04

2008-07-30  c00jhs00  <c00jhs00@93b75dfe-da2d-4241-a08d-2141769abc04>

	update for 0.8.8 release.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@160 93b75dfe-da2d-4241-a08d-2141769abc04

2008-07-29  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	    fix-bug for fat 32 file system.     The error will calculate wrong bitmap number.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@159 93b75dfe-da2d-4241-a08d-2141769abc04

2008-07-24  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	    update Makefile.am for amd64 compile with static problem. I add -lcom_err to fix "undefined reference tp 'com_err ". see #16
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@158 93b75dfe-da2d-4241-a08d-2141769abc04

2008-07-24  c00jhs00  <c00jhs00@93b75dfe-da2d-4241-a08d-2141769abc04>

	updated notes for 0.0.8-7.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@157 93b75dfe-da2d-4241-a08d-2141769abc04

2008-07-24  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	    add partclone.pfsplus link.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@156 93b75dfe-da2d-4241-a08d-2141769abc04

2008-07-11  c00jhs00  <c00jhs00@93b75dfe-da2d-4241-a08d-2141769abc04>

	    # Bug fixed: partclone.fat12 link was not done.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@155 93b75dfe-da2d-4241-a08d-2141769abc04

2008-07-11  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	    update makefile to link fat12
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@154 93b75dfe-da2d-4241-a08d-2141769abc04

2008-07-11  c00jhs00  <c00jhs00@93b75dfe-da2d-4241-a08d-2141769abc04>

	    # fat12 was added by Thomas Tsai.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@153 93b75dfe-da2d-4241-a08d-2141769abc04

2008-07-10  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	    try to make partclone support fat12
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@152 93b75dfe-da2d-4241-a08d-2141769abc04

2008-06-28  c00jhs00  <c00jhs00@93b75dfe-da2d-4241-a08d-2141769abc04>

	    # Enable static linking.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@151 93b75dfe-da2d-4241-a08d-2141769abc04

2008-06-15  c00jhs00  <c00jhs00@93b75dfe-da2d-4241-a08d-2141769abc04>

	Changelog updated for 0.8.2-3.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@150 93b75dfe-da2d-4241-a08d-2141769abc04

2008-06-15  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	update for net TUI tickets:     #35, Add a message like "Waiting for image" or "Please wait..." after "Calculating bitmap..."     #37, Make all the words in Chinese the same - 印象檔     #38, typos
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@149 93b75dfe-da2d-4241-a08d-2141769abc04

2008-05-25  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	    * update configure.ac to check ncurses well at different dists.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@148 93b75dfe-da2d-4241-a08d-2141769abc04

2008-05-25  c00jhs00  <c00jhs00@93b75dfe-da2d-4241-a08d-2141769abc04>

	- partclone.sourceforge.net is replaced by www.partclone.org.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@147 93b75dfe-da2d-4241-a08d-2141769abc04

	# clone.$FS was renamed as partclone.$FS by Thomas Tsai. # Version number now is 0.0.8.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@146 93b75dfe-da2d-4241-a08d-2141769abc04

2008-05-22  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	    * update dics files
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@145 93b75dfe-da2d-4241-a08d-2141769abc04

2008-05-20  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	    * rename man file for partclone
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@144 93b75dfe-da2d-4241-a08d-2141769abc04

2008-05-19  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	    * erase window to make terminal clean
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@143 93b75dfe-da2d-4241-a08d-2141769abc04

	    * fix color for probress bar
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@142 93b75dfe-da2d-4241-a08d-2141769abc04

	    * try to fix strange bug for ncurses.(http://www.stevenshiau.org/misc/partclone/partclone2.png)
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@141 93b75dfe-da2d-4241-a08d-2141769abc04

	    * accept ticket #33, and update configure, *am, *in files.     * make all clone tools can restore any image which is created by partclone.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@140 93b75dfe-da2d-4241-a08d-2141769abc04

2008-05-16  c00jhs00  <c00jhs00@93b75dfe-da2d-4241-a08d-2141769abc04>

	change updated for 0.0.7-4
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@139 93b75dfe-da2d-4241-a08d-2141769abc04

2008-05-16  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	    * fix the latest terminal(64*24) size for ncurses     * chage the color to partimage style.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@138 93b75dfe-da2d-4241-a08d-2141769abc04

2008-05-14  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	    update TUI     * set background and font color     * set window postition always at center     * leave message on stderr when clone fail or success     * If you want to use TUI, the latest terminal size should be 64x26
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@137 93b75dfe-da2d-4241-a08d-2141769abc04

2008-05-11  c00jhs00  <c00jhs00@93b75dfe-da2d-4241-a08d-2141769abc04>

	changelog for version 0.0.7-3
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@136 93b75dfe-da2d-4241-a08d-2141769abc04

2008-05-07  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	    fix bug for #30     * change to txet mode if terminal color error     * change to text mode if terminal width and height too small
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@135 93b75dfe-da2d-4241-a08d-2141769abc04

2008-05-01  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	    * update progress bar when the terminal not work at color style
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@134 93b75dfe-da2d-4241-a08d-2141769abc04

2008-05-01  c00jhs00  <c00jhs00@93b75dfe-da2d-4241-a08d-2141769abc04>

	auto updated.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@133 93b75dfe-da2d-4241-a08d-2141769abc04

	libncursesw5-dev was added for Build-Depends.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@132 93b75dfe-da2d-4241-a08d-2141769abc04

	    # Use --enable-ncursesw by default.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@131 93b75dfe-da2d-4241-a08d-2141769abc04

2008-05-01  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	    * update version number
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@130 93b75dfe-da2d-4241-a08d-2141769abc04

2008-04-30  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	    * add more information for dialog
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@129 93b75dfe-da2d-4241-a08d-2141769abc04

	    * update ncurses mode  bug
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@128 93b75dfe-da2d-4241-a08d-2141769abc04

	    * update po files     * update progress.c for i18n     * update partclone.c to fix bug at save stdout with ncurses
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@127 93b75dfe-da2d-4241-a08d-2141769abc04

2008-04-29  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	    add restore description at gauge
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@126 93b75dfe-da2d-4241-a08d-2141769abc04

	    fix Text User Intereface and add dialog format string.     -N --ncurses, Ncurses Interface, but can't save partition data to stdout     -X --dialog, output dialog gauge format string, if you want to use dialog 	mkfifo pipe; (./clone.extfs -d -c -X -s /dev/loop0 2>pipe | cat - > test3_stderr.img) | ./gauge < pipe
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@125 93b75dfe-da2d-4241-a08d-2141769abc04

2008-04-28  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	    add TUI mode for partclone.     * use ncursesw to display text user interface with i18n support     * user interface status     * user interface progress bar     * configure option --enable-ncursesw for TUI mode
	    Using -X or --tui to display text user interface like
	    ex. clone.extfs -d -c -X -s /dev/loop0 -o test.img



	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@124 93b75dfe-da2d-4241-a08d-2141769abc04

2008-04-22  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	    keep fixing TUI mode.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@123 93b75dfe-da2d-4241-a08d-2141769abc04

	    update FS check, use strcmp to replace memcmp.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@122 93b75dfe-da2d-4241-a08d-2141769abc04

2008-04-22  c00jhs00  <c00jhs00@93b75dfe-da2d-4241-a08d-2141769abc04>

	changelog for version 0.0.6-4.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@121 93b75dfe-da2d-4241-a08d-2141769abc04

2008-04-22  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	    add ifdef for tui mode
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@120 93b75dfe-da2d-4241-a08d-2141769abc04

	    fix last change for log_level only.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@119 93b75dfe-da2d-4241-a08d-2141769abc04

	    update memcmp size.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@118 93b75dfe-da2d-4241-a08d-2141769abc04

2008-04-21  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	    update Changelog
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@117 93b75dfe-da2d-4241-a08d-2141769abc04

	    try to add new function for #14 "TUI of status reports"     add --enable-ncurses to enable TUI and check libncurses     add add new option to use TUI, ex: -X or --tui     add function 	open_tui to open text window 	close_tui to close window 	TUI_progress_update to show status     The option(TUI) is unstable.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@116 93b75dfe-da2d-4241-a08d-2141769abc04

2008-04-21  jazz  <jazz@93b75dfe-da2d-4241-a08d-2141769abc04>

	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@115 93b75dfe-da2d-4241-a08d-2141769abc04

2008-02-21  c00jhs00  <c00jhs00@93b75dfe-da2d-4241-a08d-2141769abc04>

	Version now is 0.0.6
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@114 93b75dfe-da2d-4241-a08d-2141769abc04

2008-02-20  c00jhs00  <c00jhs00@93b75dfe-da2d-4241-a08d-2141769abc04>

	clone.fat was not compiled.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@113 93b75dfe-da2d-4241-a08d-2141769abc04

	updated for 0.0.6-1
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@112 93b75dfe-da2d-4241-a08d-2141769abc04

2008-02-18  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	    add manual for clone.fat
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@111 93b75dfe-da2d-4241-a08d-2141769abc04

	    Unstable version.     add new filesystem: FAT16/32     add --enable-fat to compile clone.fat.     add --enable-all to compile all supported filesystem utilities.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@110 93b75dfe-da2d-4241-a08d-2141769abc04

2008-02-16  c00jhs00  <c00jhs00@93b75dfe-da2d-4241-a08d-2141769abc04>

	changelog updated for 0.0.5-16
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@109 93b75dfe-da2d-4241-a08d-2141769abc04

2008-02-12  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	    fix #28, get right partition size when running partition to partition clone.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@108 93b75dfe-da2d-4241-a08d-2141769abc04

2008-02-10  c00jhs00  <c00jhs00@93b75dfe-da2d-4241-a08d-2141769abc04>

	Typo checkinh was fixed as checking.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@107 93b75dfe-da2d-4241-a08d-2141769abc04

2008-02-04  c00jhs00  <c00jhs00@93b75dfe-da2d-4241-a08d-2141769abc04>

	"," was added between partclone.sf.net and partclone.nchc.org.tw
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@106 93b75dfe-da2d-4241-a08d-2141769abc04

	version automatically updated by svn.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@105 93b75dfe-da2d-4241-a08d-2141769abc04

	    # partclone.nchc.org.tw was put without http:// in usage.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@104 93b75dfe-da2d-4241-a08d-2141769abc04

	http://partclone.nchc.org.tw was added in usage.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@103 93b75dfe-da2d-4241-a08d-2141769abc04

	Update the output messages when clone is finished
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@102 93b75dfe-da2d-4241-a08d-2141769abc04

2008-01-31  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	    fix about device size         use BLKGETSIZE64 to get large partition size     fix seek error         stop when seek error
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@101 93b75dfe-da2d-4241-a08d-2141769abc04

2008-01-31  c00jhs00  <c00jhs00@93b75dfe-da2d-4241-a08d-2141769abc04>

	updated automatically.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@100 93b75dfe-da2d-4241-a08d-2141769abc04

2008-01-30  c00jhs00  <c00jhs00@93b75dfe-da2d-4241-a08d-2141769abc04>

	Changelog updted for 0.0.5-13
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@99 93b75dfe-da2d-4241-a08d-2141769abc04

2008-01-30  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	    * reduce seek time     * fix number of Ave.Rate     * check every filesystem's image_head data...     * add new option to disable device and free space checking
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@98 93b75dfe-da2d-4241-a08d-2141769abc04

	    update last fix
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@97 93b75dfe-da2d-4241-a08d-2141769abc04

2008-01-30  c00jhs00  <c00jhs00@93b75dfe-da2d-4241-a08d-2141769abc04>

	Changelog updated for 0.0.5-12.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@96 93b75dfe-da2d-4241-a08d-2141769abc04

2008-01-30  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	    fix stats info
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@95 93b75dfe-da2d-4241-a08d-2141769abc04

	    try to fix long seeking time problem. not test
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@94 93b75dfe-da2d-4241-a08d-2141769abc04

	    fix a bug at clone hfsp get wrong device size
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@93 93b75dfe-da2d-4241-a08d-2141769abc04

2008-01-29  c00jhs00  <c00jhs00@93b75dfe-da2d-4241-a08d-2141769abc04>

	changelog udpated for 0.0.5-11.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@92 93b75dfe-da2d-4241-a08d-2141769abc04

2008-01-29  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	    fix bug to get right destination partition size which bigger than 78GB.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@91 93b75dfe-da2d-4241-a08d-2141769abc04

2008-01-24  c00jhs00  <c00jhs00@93b75dfe-da2d-4241-a08d-2141769abc04>

	Format the output: Syncing ...OK -> Syncing... OK Rate:%6.2MB/min -> Rate: %6.2MB/min
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@90 93b75dfe-da2d-4241-a08d-2141769abc04

2008-01-23  c00jhs00  <c00jhs00@93b75dfe-da2d-4241-a08d-2141769abc04>

	updated for 0.0.5-10.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@89 93b75dfe-da2d-4241-a08d-2141769abc04

2008-01-23  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	    add function to check memory size.     function "check_mem" can make sure you have enough memory     and report how many size partclone needed if there is no enough size.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@88 93b75dfe-da2d-4241-a08d-2141769abc04

2008-01-22  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	    fix real size of MB.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@87 93b75dfe-da2d-4241-a08d-2141769abc04

	    add function "check_free_space" to make sure the free space is enough to save image file.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@86 93b75dfe-da2d-4241-a08d-2141769abc04

	    Changeset 84 and 85     * set debug level, set -dX or --debug=X. X = 0 is no debug 					     X = 1 is normal debug 					     X = 2 is large log messgae     * update log_mesg for different debug level.     * add new function "print_option" to print options and argument at debug=1.     * configure --enable-all to enable alll supported file systems.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@85 93b75dfe-da2d-4241-a08d-2141769abc04

2008-01-21  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	    update debug message mode but not finish.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@84 93b75dfe-da2d-4241-a08d-2141769abc04

	    fix #24
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@83 93b75dfe-da2d-4241-a08d-2141769abc04

	    fix #24, Remove extra space.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@82 93b75dfe-da2d-4241-a08d-2141769abc04

2008-01-20  c00jhs00  <c00jhs00@93b75dfe-da2d-4241-a08d-2141769abc04>

	Updated for 0.0.5-9.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@81 93b75dfe-da2d-4241-a08d-2141769abc04

2008-01-16  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	    UNSTALBE feature, support device to device.     clone.reiserfs -b -s /dev/sda1 -o /dev/sdb1     clone.reiserfs --dd-mode --source /dev/sda1 --output /dev/sdb1
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@80 93b75dfe-da2d-4241-a08d-2141769abc04

2008-01-15  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	    updat atoobox and makefile.am to update ChangeLog every "make dist" automatically.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@79 93b75dfe-da2d-4241-a08d-2141769abc04

	    add log mesg for bitmap.     update svn version string at print_image_ info.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@78 93b75dfe-da2d-4241-a08d-2141769abc04

	    add new function rescue_sector like ntfsclone to backup bad blocks.
	    clone.ext3 -d -c -R -s /dev/hda1 -o hda1.img
	    clone.ext3 --clone --rescue --source /dev/hda1 --output hda1.img



	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@77 93b75dfe-da2d-4241-a08d-2141769abc04

2008-01-14  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	    add file toolbox, src/version.c for svn version string
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@76 93b75dfe-da2d-4241-a08d-2141769abc04

	    fix svn string
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@75 93b75dfe-da2d-4241-a08d-2141769abc04

	    translation zh-TW.po     fix SVN Revision string
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@74 93b75dfe-da2d-4241-a08d-2141769abc04

	    import GNU-Style Changelog from svn.     svn2cl --reparagraph --break-before-msg=2     The tool svn2cl is part of subversion-tools.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@73 93b75dfe-da2d-4241-a08d-2141769abc04

	    check output exist, and add option --overwrite to replace its content.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@72 93b75dfe-da2d-4241-a08d-2141769abc04

	    add check_mount to check device is mounted or not before clone/restore.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@71 93b75dfe-da2d-4241-a08d-2141769abc04

	    fix log mesg when clone/restore extfs, too many log message.     fix status information format when "clone.xxx | clone.xxx"
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@70 93b75dfe-da2d-4241-a08d-2141769abc04

2008-01-11  c00jhs00  <c00jhs00@93b75dfe-da2d-4241-a08d-2141769abc04>

	changelog updated.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@69 93b75dfe-da2d-4241-a08d-2141769abc04

2008-01-10  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	    update #18,     add finish message
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@68 93b75dfe-da2d-4241-a08d-2141769abc04

2008-01-09  c00jhs00  <c00jhs00@93b75dfe-da2d-4241-a08d-2141769abc04>

	changelog updated for minor changes.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@67 93b75dfe-da2d-4241-a08d-2141769abc04

2008-01-09  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	    update #18 again again again...
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@66 93b75dfe-da2d-4241-a08d-2141769abc04

	    add translation for "Remaining"
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@65 93b75dfe-da2d-4241-a08d-2141769abc04

	    update #18, make sure report information ignore seek time.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@64 93b75dfe-da2d-4241-a08d-2141769abc04

	    fix and test revision
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@63 93b75dfe-da2d-4241-a08d-2141769abc04

2008-01-09  c00jhs00  <c00jhs00@93b75dfe-da2d-4241-a08d-2141769abc04>

	changelog updated.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@62 93b75dfe-da2d-4241-a08d-2141769abc04

2008-01-08  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	    update #18, change the status format to
	    Elapsed: 00:00:07, Remained: 00:00:00, Completed: 99.84%, Rate: 287.9MB/min,    
	    Total Time : 00:00:09, Ave. Rate: 180.0MB/min, 100.00% completed!




	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@61 93b75dfe-da2d-4241-a08d-2141769abc04

2008-01-08  c00jhs00  <c00jhs00@93b75dfe-da2d-4241-a08d-2141769abc04>

	changelog updated for ticket #18.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@60 93b75dfe-da2d-4241-a08d-2141769abc04

2008-01-08  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	    update #18, change the status format to
	    Elapsed: 00:00:33, Remained: 00:00:00, Completed:  99.74%, Rate:   4.36MB/s
	    Total Time : 00:00:34, 100.00% completed!




	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@59 93b75dfe-da2d-4241-a08d-2141769abc04

	    fix #18:Add a saving/restoring rate and estimated time in the status report     like this:     .....     Used block count: 35192     99.74% completed, Total: 00040 sec., Estimated: 00000 sec.,    3.59 MB/s     100.00% completed     Syncing ...
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@58 93b75dfe-da2d-4241-a08d-2141769abc04

2008-01-07  c00jhs00  <c00jhs00@93b75dfe-da2d-4241-a08d-2141769abc04>

	update changelog for 0.0.5-4
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@57 93b75dfe-da2d-4241-a08d-2141769abc04

2008-01-07  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	    fix #15, sync after save/restore.     update root-check before open any device or image.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@56 93b75dfe-da2d-4241-a08d-2141769abc04

	    fux #12, #13 and #17.
	    #13, #17 update as:
	    Partclone v0.0.5 ($Rev: 50 $) http://partclone.sourceforge.net  //#17
	    Starting clone device (/dev/loop0) to image (-)
	    File system: HFS Plus					    //#13
	    Device size: 269 MB
	    Space in use: 17 MB
	    Block size: 4096 Byte
	    Used block count: 3976
	    100.00 percent completed

	    #12, change the error mesg, read from stdin when clone.
					write to stdout when restore.
	    clone.hfsp -r -s /dev/loop0
	    Partclone can't restore to stdout.
	    For help,type: clone.hfsplus -h




	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@55 93b75dfe-da2d-4241-a08d-2141769abc04

2008-01-06  c00jhs00  <c00jhs00@93b75dfe-da2d-4241-a08d-2141769abc04>

	  * Static linking was disabled in debian/rules.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@54 93b75dfe-da2d-4241-a08d-2141769abc04

2008-01-04  c00jhs00  <c00jhs00@93b75dfe-da2d-4241-a08d-2141769abc04>

	updated for 0.0.5-2
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@53 93b75dfe-da2d-4241-a08d-2141769abc04

	Description is updated.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@52 93b75dfe-da2d-4241-a08d-2141769abc04

2008-01-04  jazz  <jazz@93b75dfe-da2d-4241-a08d-2141769abc04>

	  * motion6 folder is only for showing how `svn import' work.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@51 93b75dfe-da2d-4241-a08d-2141769abc04

	  * modified src/Makefile.am :     [Bugfix] ticket #8 - linking issue of tarbal and dpkg-buildpackage     [Note] `make install' will use related path instead of real path   * modified src/partclone.c     - add SVN Revision message to usage()   * modified debian/[control rules]     - add project URL and some detail change for debian packaging
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@50 93b75dfe-da2d-4241-a08d-2141769abc04

2008-01-04  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	    fix Ticket #11     Unable to run autoreconf in Debian etch
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@49 93b75dfe-da2d-4241-a08d-2141769abc04

2008-01-04  jazz  <jazz@93b75dfe-da2d-4241-a08d-2141769abc04>

	  * change release version from 0.0.4 to 0.0.5   * [bugfix] reopen and cloes ticket #8     - modified Makefile.am to fix linking permission problem       while using `dpkg-buildpackage -rfakeroot'
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@48 93b75dfe-da2d-4241-a08d-2141769abc04

2008-01-04  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	    fix link problem.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@47 93b75dfe-da2d-4241-a08d-2141769abc04

2008-01-04  c00jhs00  <c00jhs00@93b75dfe-da2d-4241-a08d-2141769abc04>

	updated for new release.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@46 93b75dfe-da2d-4241-a08d-2141769abc04

2008-01-04  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	    fix Ticket #8,     making install partclone, those symbolic link files can be automatically linked.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@45 93b75dfe-da2d-4241-a08d-2141769abc04

2008-01-03  jazz  <jazz@93b75dfe-da2d-4241-a08d-2141769abc04>

	  * Initial veriosn of motion6
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@44 93b75dfe-da2d-4241-a08d-2141769abc04

	  * clean up repositories of tags and branches which created by cvs2svn
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@43 93b75dfe-da2d-4241-a08d-2141769abc04

	  * change repository name from trunk to partclone
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@42 93b75dfe-da2d-4241-a08d-2141769abc04

2008-01-03  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	    add print version information at --help.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@41 93b75dfe-da2d-4241-a08d-2141769abc04

	    check stdin/stdout     User can't clone from stdin or restore to stdout.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@40 93b75dfe-da2d-4241-a08d-2141769abc04

	    add image version control.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@39 93b75dfe-da2d-4241-a08d-2141769abc04

	    add crc check function to avoid data I/O error.     reference libcrc which mainatined by Lammert Bies  1999-2007     http://www.lammertbies.nl/comm/info/nl_crc-calculation.html
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@38 93b75dfe-da2d-4241-a08d-2141769abc04

	    add default source is -/stdin. default target is -/stdout.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@37 93b75dfe-da2d-4241-a08d-2141769abc04

	    fix the ticke about "The better informatio at clone/restore"
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@36 93b75dfe-da2d-4241-a08d-2141769abc04

	    update zh_tw.gmo
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@35 93b75dfe-da2d-4241-a08d-2141769abc04

	  Change Image metadata format!   add filesystem information in image_head   add buff[4096] in image_head for use in the future.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@34 93b75dfe-da2d-4241-a08d-2141769abc04

2008-01-02  jazz  <jazz@93b75dfe-da2d-4241-a08d-2141769abc04>

	  * These template files is not necessary for current packaging usage.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@33 93b75dfe-da2d-4241-a08d-2141769abc04

2008-01-02  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	add infoclone.c to print Image file information.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@32 93b75dfe-da2d-4241-a08d-2141769abc04

2008-01-02  jazz  <jazz@93b75dfe-da2d-4241-a08d-2141769abc04>

	  * modified debian/[control, changelog, rules]     - to build debian package with static linking binary as default
	  * update src/Makefile.in
	    - if user did not install automake and autoconf then Makefile.am will not update
	      Makefile.in automatically, so we put it in the version control repository.



	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@31 93b75dfe-da2d-4241-a08d-2141769abc04

	  * [BUGFIX][BUG #1] fixed linking time error while enabling support of xfs.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@30 93b75dfe-da2d-4241-a08d-2141769abc04

2008-01-02  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	add function check_size to check dest partition size. make sure the size is enough.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@29 93b75dfe-da2d-4241-a08d-2141769abc04

	fix a bug in partclone.c. to make sure it return the I/O size.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@28 93b75dfe-da2d-4241-a08d-2141769abc04

	check I/O syncronization while using pipe and stdin I use read_all and write_all to replace read and write.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@27 93b75dfe-da2d-4241-a08d-2141769abc04

2008-01-02  jazz  <jazz@93b75dfe-da2d-4241-a08d-2141769abc04>

	  add ToDo List: I/O syncronization
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@26 93b75dfe-da2d-4241-a08d-2141769abc04

	  add ToDo list: checksum
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@25 93b75dfe-da2d-4241-a08d-2141769abc04

	  update ToDo List: new bug #1
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@24 93b75dfe-da2d-4241-a08d-2141769abc04

	  add ToDo List
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@23 93b75dfe-da2d-4241-a08d-2141769abc04

2008-01-02  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	add more information about the size, xxx MB, xxx Byte... update zh_tw.po
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@22 93b75dfe-da2d-4241-a08d-2141769abc04

2008-01-01  c00jhs00  <c00jhs00@93b75dfe-da2d-4241-a08d-2141769abc04>

	...
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@21 93b75dfe-da2d-4241-a08d-2141769abc04

	add % for status report.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@20 93b75dfe-da2d-4241-a08d-2141769abc04

	...
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@19 93b75dfe-da2d-4241-a08d-2141769abc04

2008-01-01  jazz  <jazz@93b75dfe-da2d-4241-a08d-2141769abc04>

	  * fix pipe syncronization problem     - reference from ntfsclone.c io_all() function
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@18 93b75dfe-da2d-4241-a08d-2141769abc04

2008-01-01  c00jhs00  <c00jhs00@93b75dfe-da2d-4241-a08d-2141769abc04>

	...
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@17 93b75dfe-da2d-4241-a08d-2141769abc04

	Update the descriptions in help.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@16 93b75dfe-da2d-4241-a08d-2141769abc04

2007-12-31  jazz  <jazz@93b75dfe-da2d-4241-a08d-2141769abc04>

	  * modified configure.ac and src/Makefile.am to add support to compile     static linking programs   * Makefile.in, configure and src/Makefile.in are modified by autoreconf
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@15 93b75dfe-da2d-4241-a08d-2141769abc04

2007-12-31  c00jhs00  <c00jhs00@93b75dfe-da2d-4241-a08d-2141769abc04>

	spec for rpm package.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@14 93b75dfe-da2d-4241-a08d-2141769abc04

2007-12-31  jazz  <jazz@93b75dfe-da2d-4241-a08d-2141769abc04>

	  testing http://free.nchc.org.tw/cvs2rss.php
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@13 93b75dfe-da2d-4241-a08d-2141769abc04

2007-12-13  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	dd files for debian
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@12 93b75dfe-da2d-4241-a08d-2141769abc04

	add debian for make debian package
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@11 93b75dfe-da2d-4241-a08d-2141769abc04

2007-12-10  c00jhs00  <c00jhs00@93b75dfe-da2d-4241-a08d-2141769abc04>

	...
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@10 93b75dfe-da2d-4241-a08d-2141769abc04

2007-11-26  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	fix stdout/stdin bug
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@9 93b75dfe-da2d-4241-a08d-2141769abc04

	fix no --debug error make partclone always open log file
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@8 93b75dfe-da2d-4241-a08d-2141769abc04

	fix large file support and hfsp get free bitmap error
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@7 93b75dfe-da2d-4241-a08d-2141769abc04

	default not enable reiserfs, until progsreiserfs can get from debian
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@6 93b75dfe-da2d-4241-a08d-2141769abc04

2007-11-25  (no author)  <(no author)@93b75dfe-da2d-4241-a08d-2141769abc04>

	This commit was manufactured by cvs2svn to create tag 'r_0_1'.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@5 93b75dfe-da2d-4241-a08d-2141769abc04

2007-11-25  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	initial partclone 2007
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@4 93b75dfe-da2d-4241-a08d-2141769abc04

2007-11-25  (no author)  <(no author)@93b75dfe-da2d-4241-a08d-2141769abc04>

	This commit was manufactured by cvs2svn to create branch 'thomas'.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@3 93b75dfe-da2d-4241-a08d-2141769abc04

2007-11-25  thomas  <thomas@93b75dfe-da2d-4241-a08d-2141769abc04>

	Initial revision
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@2 93b75dfe-da2d-4241-a08d-2141769abc04

2007-11-25  (no author)  <(no author)@93b75dfe-da2d-4241-a08d-2141769abc04>

	New repository initialized by cvs2svn.
	git-svn-id: svn+ssh://140.110.240.196/partclone_svn@1 93b75dfe-da2d-4241-a08d-2141769abc04
